软件的计算能力与计算机的配置相关,通常在配置高性能计算显卡的计算机上运行该软件会得到更好的体验。支持NVIDIA显卡以及CPU作为求解设备进行分析。在满足最低配置要求的计算机上可以保证软件对一般建筑进行弹塑性分析；在满足推荐配置要求的计算机上可以对常见的超高层建筑进行分析。<br />
软件配置要求<br />
操作系统：Windows 7，64位，SP1；Windows 8，64位；Windows 10，64位。<br />
如果采用NVIDIA显卡进行计算，应到英伟达官方网站下载相应显卡的最新驱动程序并安装。<br />
NVIDIA显卡驱动下载网址：http://www.geforce.cn/drivers。<br />
硬件配置要求<br />
以下配置是针对2020年建筑行业的计算规模和硬件发展水平给出的建议配置。一般来说，计算机硬件每半年就会推出新一代产品，计算机的配置要求也会随之提高。计算能力的提高也会使工程师能够设计更大规模的建筑并提高工作效率。因此要用发展的眼光看待以下硬件配置要求。<br />
最低要求<br />
CPU：支持64位Intel或AMD的CPU<br />
GPU（图形计算单元）：NVIDIA显卡至少GTX430以上支持CUDA计算能力2.1以上；显存2G<br />
内存：16G<br />
硬盘：平均每个项目大约30GB存储空间<br />
电源： 仔细复核硬件对电源的要求。一般需要600W。<br />
推荐配置<br />
CPU：Core i7-4770<br />
GPU：RTX2070，RTX2080，RTX2080Ti，RTX3070，RTX3080，RTX3090<br />
内存：32G<br />
硬盘：2TB<br />
电源：仔细复核硬件对电源的要求。一般需要600W。<br />
软件安装<br />
软件可以通过安装PKPM同时自动安装，也可以采用SAUSG系列软件安装包进行安装。如果采用PKPM安装方式，安装注意事项可以参见PKPM相关说明。如果采用SAUSG系列软件安装包进行安装，安装方法如下：<br />
双击setup.exe进行安装，在弹出的对话框（如图21所示），采用默认路径或者输入新的路径，确认后点击【Next】进入下一步操作。<br />
    <br />
<img src="/uploads/dfas/images/image11.png" alt="" width="503"><br />
图21 安装路径<br />
如图22所示，选择是否要在桌面生成程序的快捷方式。确认后点击【Next】进入下一步操作。<br />
    <br />
<img src="/uploads/dfas/images/image12.png" alt="" width="503"><br />
图22 是否生成快捷方式<br />
如图23所示，点击【Install】，开始进行安装。<br />
    <br />
<img src="/uploads/dfas/images/image13.png" alt="" width="503"><br />
图23 开始安装<br />
在图24所示对话框中，点击【Finish】，结束安装。<br />
    <br />
<img src="/uploads/dfas/images/image14.png" alt="" width="503"><br />
图24 安装结束<br />
    <br />
