在构件显示模式下，在图形中点击构件即可显示该构件属性，如图34(a)所示。构件属性包括几何信息、材料信息、配筋信息、设计信息和荷载信息，如表31所示。<br />
表31 构件属性<br />

|分类|属性|一维构件|二维构件|可编辑|
|-----|-----|-----|-----|-----|
|几何|对象类型|√|√|×|
||子类型|√|√|√|
||ID|√|√|×|
||塔号|√|√|×|
||楼层|√|√|√|
||施工阶段|√|√|×|
||结构线编号|√|√|×|
||边界点编号|×|√|×|
||端点编号|√|×|×|
||截面名称|√|√|√|
||总厚度|×|√|×|
||总质量|√|√|×|
||法向偏移（mm）|×|√|√|
||方向角（度）|√|×|√|
||1点y方向偏移（mm）|√|×|√|
||1点z方向偏移（mm）|√|×|√|
||2点y方向偏移（mm）|√|×|√|
||2点z方向偏移（mm）|√|×|√|
||法向偏移（mm）|×|√|√|
||网格加密系数|√|√|√|
||y轴初始弯曲缺陷值|√|×|√|
||z轴初始弯曲缺陷值|√|×|√|
|材料|截面类型|×|√|×|
||混凝土强度等级|√|√|√|
||钢筋级别|√|√|√|
||箍筋级别|√|×|√|
||钢材型号|√|√|√|
|配筋|面筋配筋率|√|×|√|
||底筋配筋率|√|×|√|
||加密区箍筋面积（每100mm）（mm2）|√|×|√|
||非加密区箍筋面积（每100mm）（mm2）|√|×|√|
||水平筋配筋率（%）|×|√|√|
||竖向筋配筋率（%）|×|√|√|
||水平筋方向角（度）|×|√|√|
||竖向筋方向角（度）|×|√|√|
||钢板总厚度|×|√|√|
||钢板分层数|×|√|√|
||钢筋网层数|×|√|√|
||边缘构件配筋量（cm2）|×|√|√|
|设计|中震性能|√|√|√|
||大震性能|√|√|√|
||重要性分类|√|√|√|
||抗震等级|√|√|√|
||抗震构造措施等级|√|√|√|
||轴力内力调整系数|√|√|√|
||弯矩内力调整系数|√|√|√|
||剪力内力调整系数|√|√|√|
|荷载|荷载工况|√|√|×|
||荷载类型|√|√|×|
||整体qx（kN/m2）|√|√|√|
||整体qy（kN/m2）|√|√|√|
||整体qz（kN/m2）|√|√|√|
