在单元显示模式下，在图形中点击单元即可显示该单元属性，如图34(b)所示。单元属性包括几何信息、材料信息、和荷载信息，单元型均不支持修改，如表32所示。点击【关联构件】按钮，可查看当前单元所属构件的塑性信息。<br />
表32 单元属性<br />

|分类|属性|一维构件|二维构件|可编辑|
|-----|-----|-----|-----|-----|
|几何|对象类型|√|√|×|
||ID|√|√|×|
||塔号|√|√|×|
||楼层|√|√|×|
||施工阶段|√|√|×|
||节点号|√|√|×|
||节点1坐标|√|√|×|
||节点2坐标|√|√|×|
||节点3坐标|×|√|×|
||节点4坐标|×|√|×|
|材料|截面类型|×|√|×|
||混凝土强度等级|√|√|×|
||钢筋级别|√|√|×|
||箍筋级别|√|×|×|
||钢材型号|√|√|×|
|荷载|荷载工况|√|√|×|
||荷载类型|√|√|×|
||整体qx（kN/m2）|√|√|×|
||整体qy（kN/m2）|√|√|×|
||整体qz（kN/m2）|√|√|×|
|初始缺陷|初始缺陷代表值|√|×|√|
||初始缺陷方向|√|×|√|
|剪切性能|剪切属性|√|×|√|
||构件跨度|√|×|×|
图形区<br />
图形区用于显示模型图形及后处理云图。在图形区，长按鼠标中键可进行视图移动操作，长按Ctrl+鼠标中键可进行视图旋转操作。也可在右侧工具栏中点击、 、 激活图形移动、旋转、缩放功能。<br />
<img src="/uploads/dfas/images/image27.png" alt="" width="32"><br />
<img src="/uploads/dfas/images/image28.png" alt="" width="32"><br />
<img src="/uploads/dfas/images/image29.png" alt="" width="32"><br />
