【梁】菜单用于定义材料和截面，并在此基础上建立梁单元，如图452所示。“建模参数”对话框如<br />
图453所示，混凝土级别、钢筋级别、钢材型号、箍筋级别用于选择梁单元的钢筋和混凝土材料，自转角度用于输入截面转角（指梁绕其局部x坐标轴依照右手螺旋法则旋转的角度）。用户也可输入梁端节点偏心距离以及梁顶和梁底纵筋配筋率。<br />
    <br />
<img src="/uploads/dfas/images/image195.png" alt="" width="297"><br />
图452 布置梁<br />
    <br />
<img src="/uploads/dfas/images/image196.png" alt="" width="158"><br />
图453 建模参数<br />
用户可利用“新建”、“修改”、“删除”、“合并”四种功能对构件截面进行操作，四项操作的功能介绍见表45。<br />
表45 截面库操作功能介绍<br />

|项目|介绍|
|-----|-----|
|新建|在截面库中增加新的截面|
|修改|对已建立截面尺寸进行修改，模型中的截面尺寸自动调整|
|删除|删除已建立的截面，会同时删除模型中构件的截面|
|合并|将已建立的截面进行合并，模型中的截面尺寸自动调整|
点击“新建”按钮，弹出如图454所示对话框。<br />
“可选截面”包括混凝土梁、方钢管梁、工字型钢梁、方钢管混凝土梁、工字型-钢骨混凝土梁、十字型混凝土梁、工字型混凝土梁、圆形混凝土梁、正多边形混凝土梁、槽型混凝土梁、矩形管混凝土梁、双槽型混凝土梁、十字工型混凝土梁、梯形混凝土梁、圆钢管混凝土梁、方钢管-钢骨混凝土方梁、十字工型-钢管混凝土方梁、L型混凝土梁、圆型钢管-钢骨混凝土方梁、工字型-钢骨混凝土圆梁、圆钢管-钢骨混凝土圆梁、十字工型-钢管混凝土圆梁、T型混凝土梁、混凝土圆管梁、圆钢管梁、矩形钢梁、圆形钢梁、十字工形钢梁、十字形钢梁、正多边形钢梁、槽型钢梁、双槽型钢梁、梯形钢梁、L形钢梁、T形钢梁。单击“自动命名”按钮，可根据定义截面的尺寸自动为截面编号命名。<br />
点击【导入型钢库】可进行标准型钢截面建模，包括“高频焊接轻型H型钢”、“国标热轧H型钢”和“热轧轻型工字钢”等。<br />
右侧列表项目显示了截面尺寸与面积。塑性损伤分析时，混凝土矩形梁纤维的划分规则为2×6，其他截面形式的梁纤维划分规则可参见13.1.4 节。各线构件的纤维划分规则均为软件默认设置，不对用户开放，可通过鼠标右键点击构件，选择“截面信息及配筋”项查看构件纤维划分状态。<br />
    <br />
<img src="/uploads/dfas/images/image197.png" alt="" width="728"><br />
图454 新建截面<br />
截面库中截面编号具有唯一性，若新建截面与之前定义数据有重复，软件不建立新数据。<br />
注意：截面列表中会列出每种截面对应的构件数目，用户对截面的操作会影响到相应构件的信息修改，因此在截面操作时，需要意识到对结构模型的潜在影响。<br />
“修改”操作可对已建立构件截面尺寸进行调整，但不能更改截面种类。<br />
“合并”操作用于将两个以上的截面合并为一种截面。<br />
首先在截面列表中应用“Ctrl+鼠标左键”选中需要合并的截面，点击“合并”按钮，软件出现图455 (b)所示对话框，用户可指定截面合并后的截面，从而达到截面数目、种类合并的功能，合并构件截面后，模型中各构件的截面类型也会相应修改。<br />
      <br />
<img src="/uploads/dfas/images/image198.png" alt="" width="292"><br />
<img src="/uploads/dfas/images/image199.png" alt="" width="339"><br />
<img src="/uploads/dfas/images/image200.png" alt="" width="289"><br />
(a)                     (b)                    (c)<br />
图455 合并截面操作示意图<br />
“两点建”可应用鼠标指定节点或者输入节点坐标的方法在窗口内进行框架梁的绘制。<br />
“点击建”可通过点击辅助线或轴网来自动生成框架梁。<br />
“区域建”可通过窗口选择辅助线或轴网的方法来自动生成框架梁。<br />
【柱】菜单用于定义材料和截面，并在此基础上建立柱单元，如图456 所示。<br />
    <br />
<img src="/uploads/dfas/images/image201.png" alt="" width="287"><br />
图456 布置柱<br />
“柱截面”包括混凝土方柱、混凝土圆柱、方钢管柱、圆钢管柱、工字型钢柱、十字工型钢柱、方钢管混凝土柱、圆钢管混凝土柱、方钢管-钢骨混凝土柱、工字型-钢骨混凝土方柱、十字工型-钢骨混凝土方柱、圆钢管-钢骨混凝土柱、工字型-钢骨混凝土圆柱、十字工型-钢管混凝土圆柱、十字型混凝土柱、工字型混凝土柱、正多边形混凝土柱、槽型混凝土柱、矩形管混凝土柱、双槽型混凝土柱、十字工型混凝土柱、梯形混凝土柱、L型混凝土柱、混凝土圆管柱、圆钢管-钢管混凝土方柱，T形混凝土柱、矩形钢柱、圆形钢柱、十字形钢柱、正多边形钢柱、槽型钢柱、双槽形钢柱、梯形钢柱、L形钢柱、T形钢柱。如图457所示。混凝土矩形柱构件在塑性损伤分析时，纤维划分规则为6×6。<br />
“创建组合截面”可根据需要添加钢管混凝土加劲组合构件截面，如图458 创建组合截面。<br />
    <br />
<img src="/uploads/dfas/images/image202.png" alt="" width="690"><br />
图457 柱截面操作框<br />
    <br />
<img src="/uploads/dfas/images/image203.png" alt="" width="537"><br />
图458 创建组合截面<br />
【斜撑】菜单用于定义材料和截面，并在此基础上建立斜撑单元。<br />
斜撑构件与柱截面库相同，但斜撑仅能通过连接两点方式建立。<br />
【板】功能提供“点击建”、“区域建”以及“多点建”三种方法建立板单元，如图459 所示。方法同绘制梁、柱。“新建”用于定义板厚，如图460 所示。用户可以输入楼板厚度并选择材料。截面类型支持混凝土、内置钢板和外包钢板三种类型。<br />

|图459 板布置|<img src="/uploads/dfas/images/image205.png" alt="" width="428"><br />
图460 新建板厚|
|-----|-----|
“点击建”：在闭合区域中间点击，程序会自动进行判别并生成楼板；<br />
“区域建”：框选闭合区域生成楼板；<br />
“多点建”：依次连接封闭区域的各个节点建立楼板；<br />
【墙】包括“两点建”、“点击建”、“多点建”三种方法建立剪力墙，如图461所示。<br />
    <br />
<img src="/uploads/dfas/images/image206.png" alt="" width="291"><br />
图461 墙布置<br />
“两点建”可应用鼠标在窗口内顺次指定两点进行墙的绘制。<br />
“点击建”可通过指定平面上的两个结点间的辅助线来绘制墙。<br />
“多点建”可以在窗口中依次连接剪力墙边线上各节点建立墙。<br />
【墙洞】操作可指定墙体所开洞口的尺寸及连梁纵筋单边配筋率，如图462所示。<br />
      <br />
<img src="/uploads/dfas/images/image207.png" alt="" width="418"><br />
<img src="/uploads/dfas/images/image208.png" alt="" width="392"><br />
<img src="/uploads/dfas/images/image209.png" alt="" width="400"><br />
图462 墙上开洞操作示意图<br />
其中，“洞口宽度”、“洞口高度”可用于指定洞口的宽与高。在“洞口宽度”栏内输入“0”，墙体全部转变成连梁墙，不保留墙肢。“洞口偏心距”用于指定洞口的偏心距离，偏心方向规定为：当墙体方向与X轴平行时，墙体洞口偏心距的正方向为+X方向，当墙体方向与Y轴平行时，洞口偏心距正方向为+Y向。设置“0”表示不偏心。“距墙底高度”输入零时可以用于定义门洞口，输入非零数值可以用于定义窗洞口。<br />
墙肢最小长度默认阈值为0.3m，当开洞后墙肢长度小于0.3m产生过短的墙时，软件会根据用户指定的方式来消除短墙。<br />
墙体开洞后，软件会根据用户在对话框“单边连梁纵筋配筋率（%）”中设定的值，按照面积等效的方法，在连梁墙上、下侧自动生成200×200方钢管构件来模拟连梁纵筋。构件截面可通过右键点击进行查看，生成的方钢管截面也会新增加在“截面库”中，如图463所示。<br />
    <br />
<img src="/uploads/dfas/images/image210.png" alt="" width="333"><br />
图463 墙上开洞生成的方钢管示意图<br />
【生成边缘构件】可依照《建筑抗震设计规范》的条文要求，生成剪力墙的边缘构件，用户需分别指定边缘构件的类型及抗震等级，软件自动根据规范要求的配筋量，按照面积等效的方法，以200x200边长的方钢管来建立边缘构件。“截面壁厚分辨率”指方钢管壁厚变化的模数，剪力墙虚梁、连梁纵筋的壁厚变化模数也是根据此参数进行设置的。<br />
生成边缘构件完成后，用户可在“捕捉边缘构件”打开的情况下，鼠标右击边缘构件来查看相应信息，该信息的具体介绍可查看本说明“属性窗口”→“边缘构件”项目。<br />
“快速设置抗震等级”可按照用户输入的楼层范围设置边缘构件相应的抗震等级。<br />
“柱子和边缘构件向下锚固”复选框是指当柱子建立在剪力墙上，或者剪力墙在竖向有收进的情况下，柱子或剪力墙边缘构件自动向下延伸一层。<br />
以图464为例，建立厚度为0.2米的墙构件，按照左侧图中的数据进行边缘构件设置，所有抗震等级均为“一级(6、7、8度)”，首层为“边缘约束构件”，二层为“构造边缘构件(底部加强区之内)”，以上楼层均为“构造边缘构件(底部加强区之上)”，选择“柱子和边缘构件向下锚固”，软件会自动按照下面右图所示进行边缘构件的建立。根据规范的不同要求，软件自动按照面积等效的方法建立墙的边缘构件，用户可进行相关构件属性查看。<br />
当墙边有柱的时候，不会生成边缘构件。<br />
       <br />
<img src="/uploads/dfas/images/image211.png" alt="" width="800"><br />
<img src="/uploads/dfas/images/image212.png" alt="" width="204"><br />
<img src="/uploads/dfas/images/image213.png" alt="" width="198"><br />
图464 生成边缘构件操作示意图<br />
“关联边缘构件”可将其他软件导入进来的边缘构件配筋（等效方钢管）与相邻剪力墙关联起来。关联后，可在边缘构件属性中查看剪力墙边缘构件的截面形状和尺寸以及边缘构件的配筋率，并可通过【属性修改】批量修改边缘构件的配筋率。<br />

|<img src="/uploads/dfas/images/image214.png" alt="" width="480"><br />
|<img src="/uploads/dfas/images/image215.png" alt="" width="476"><br />
|
|-----|-----|
|关联前|关联后|
图465 关联前后边缘构件属性<br />
【辅助构件截面】用于查看和编辑用于边缘构件和连梁纵筋的截面，如图466所示。<br />
    <br />
<img src="/uploads/dfas/images/image216.png" alt="" width="705"><br />
图466 辅助构件截面<br />
新建、修改、删除、合并等功能可以参见梁构件一节。<br />
【减隔震】用于在窗口中定义减隔震截面并生成减隔震单元，如图467所示。<br />
两点建：直接连接两点绘制减隔震单元；<br />
点击建：点击辅助线或轴线生成减隔震单元；<br />
区域建：在俯视图中框选节点后按照楼层层高沿竖直方向生成减隔震单元。<br />
    <br />
<img src="/uploads/dfas/images/image217.png" alt="" width="285"><br />
图467 减隔震单元布置<br />
“新建”用于定义减隔震单元截面，包括位移型阻尼器(二折线)、速度型阻尼器（Kelvin）、速度型阻尼器（Maxwell）、速度型阻尼器（Kelvin串联弹簧）、自定义阻尼器、隔震支座、隔震支座（Wen）、防屈曲支撑、线性弹簧、拉索、钩、间隙、弹性滑板支座、摩擦摆支座、Wen模型、调谐质量阻尼器以及调谐粘滞质量阻尼器等单元截面，如图469 ~图486所示。<br />
“修改”用于修改已定义截面的参数，“合并”用于多个减隔震截面合并为一个，“删除”用于删除已定义的截面，“导入”与“导出”用于多个截面批量导入与导出参数，如图468 所示。定义橡胶支座、弹性滑板支座及摩擦摆时可选择支座库里的产品，方便用户定义。<br />
    <br />
<img src="/uploads/dfas/images/image218.png" alt="" width="747"><br />
图468 一般连接参数<br />
减隔震单元包含了线性分析参数和非线性分析参数，前者主要用于模态分析、最大频率分析及竖向荷载加载分析。后者主要用于弹性和弹塑性时程分析。<br />
“允许更新局部坐标系”选项可以对定义的任意一般连接单元进行局部坐标系更新与否的设置。结构的平衡实际上是在结构发生变形后达到的，对于几何非线性问题来说，平衡方程必须建立在结构变形后的状态上。为了描述结构的变形需要设置一定的参考系统。一种作法是让单元的局部坐标系跟随结构一起发生变位，分析过程中参考位形是不断被更新的，即更新的拉格朗日列式法。这一方法对于杆系结构的大位移分析特别显示出其优越性，尤其是在杆件发生比较大的转动时，采用这一方法更为适宜。这是因为通过变更局部坐标系可以方便地描述单元的刚体转动，从而较容易地确定变位后的单元在变形后的结构中所发挥的作用。SAUSG系列软件均采用更新的拉格朗日列式法分析结构的几何非线性问题。<br />
进行结构非线性分析，应计入重力二阶效应的影响，此时非线性分析模型就应该考虑几何非线性，需要在SAUSG软件的工况里勾选几何非线性选项，模型中结构构件（梁、板、柱、墙）单元的局部坐标系跟随结构变形一起发生变位，分析过程中参考位形不断更新，平衡方程建立在结构变形后的位形上，结构重力二阶效应能够准确分析。虽然勾选了几何非线性选项，一般连接单元（隔震支座、阻尼器、钩、间隙等）软件默认不更新局部坐标系，始终按初始状态建立的局部坐标系分析。对于隔震支座，这种默认方式能够保证隔震支座单元的水平刚度保持在结构水平方向，与隔震支座产品参数一致，不会随着隔震支座单元的转动而转动。对于阻尼器、钩、间隙等单元，当其转动不大时，局部坐标系更新与否，计算结果差别不大。当要考虑一般连接单元（阻尼器、钩、间隙等）局部坐标系更新时，需勾选此选项。<br />

|<img src="/uploads/dfas/images/image219.png" alt="" width="594"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image220.png" alt="" width="376"><br />
 (b) 非线性属性|
|-----|-----|
图469 速度型阻尼器（kelvin）截面属性<br />

|<img src="/uploads/dfas/images/image221.png" alt="" width="592"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image222.png" alt="" width="375"><br />
 (b) 非线性属性|
|-----|-----|
图470 速度型阻尼器（Maxwell）截面属性<br />

|<img src="/uploads/dfas/images/image223.png" alt="" width="594"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image224.png" alt="" width="370"><br />
(b) 非线性属性|
|-----|-----|
图471 速度型阻尼器（Kelvin串联弹簧） <br />

|<img src="/uploads/dfas/images/image225.png" alt="" width="591"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image226.png" alt="" width="374"><br />
 (b) 非线性属性|
|-----|-----|
图472 位移型阻尼器截面属性<br />

|<img src="/uploads/dfas/images/image227.png" alt="" width="594"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image228.png" alt="" width="375"><br />
 (b) 非线性属性|
|-----|-----|
图473 自定义速度阻尼器截面属性<br />

|<img src="/uploads/dfas/images/image229.png" alt="" width="593"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image230.png" alt="" width="373"><br />
 (b) 非线性属性|
|-----|-----|
图474 自定义位移阻尼器截面属性<br />

|<img src="/uploads/dfas/images/image231.png" alt="" width="592"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image232.png" alt="" width="374"><br />
(b) 非线性属性|
|-----|-----|
图475 隔震支座截面属性<br />

|<img src="/uploads/dfas/images/image233.png" alt="" width="595"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image232.png" alt="" width="374"><br />
(b) 非线性属性|
|-----|-----|
图476 隔震支座（Wen模型）<br />

|<img src="/uploads/dfas/images/image234.png" alt="" width="595"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image235.png" alt="" width="375"><br />
(b) 非线性属性|
|-----|-----|
图477 防屈曲支撑截面属性<br />
    <br />
<img src="/uploads/dfas/images/image236.png" alt="" width="591"><br />
图478 线性弹簧截面属性<br />

|<img src="/uploads/dfas/images/image237.png" alt="" width="592"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image238.png" alt="" width="374"><br />
(b) 非线性属性|
|-----|-----|
图479 拉索截面属性<br />

|<img src="/uploads/dfas/images/image239.png" alt="" width="592"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image240.png" alt="" width="373"><br />
(b) 非线性属性|
|-----|-----|
图480 钩截面属性<br />

|<img src="/uploads/dfas/images/image241.png" alt="" width="591"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image242.png" alt="" width="375"><br />
(b) 非线性属性|
|-----|-----|
图481 间隙截面属性<br />
       <br />
<img src="/uploads/dfas/images/image243.png" alt="" width="591"><br />
<img src="/uploads/dfas/images/image244.png" alt="" width="367"><br />
(a) 截面属性                 (b) 非线性属性<br />
图482 弹性滑板支座截面属性<br />

|<img src="/uploads/dfas/images/image245.png" alt="" width="592"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image246.png" alt="" width="381"><br />
(b) 非线性属性|
|-----|-----|
图483 摩擦摆支座截面属性<br />

|<img src="/uploads/dfas/images/image247.png" alt="" width="591"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image248.png" alt="" width="381"><br />
(b) 非线性属性|
|-----|-----|
图484 Wen模型截面属性<br />
    <br />
<img src="/uploads/dfas/images/image249.png" alt="" width="592"><br />
图485 调谐质量阻尼器截面属性<br />

|<img src="/uploads/dfas/images/image250.png" alt="" width="592"><br />
(a) 截面属性|<img src="/uploads/dfas/images/image251.png" alt="" width="374"><br />
(b) 非线性属性|
|-----|-----|
图486 调谐粘滞质量阻尼器截面属性<br />
