【选取】菜单提供构件的选择功能，可根据不同的条件选择构件，辅助模型建立，如图4115所示。<br />
      <br />
<img src="/uploads/dfas/images/image280.png" alt="" width="93"><br />
<img src="/uploads/dfas/images/image281.png" alt="" width="111"><br />
<img src="/uploads/dfas/images/image282.png" alt="" width="124"><br />
图4115 选取菜单<br />
若结构模型没有划分网格，可直接应用该菜单进行构件选取；若结构模型已进行网格划分，则构件选取操作须在构件图形下进行操作，用户可在“选项”→“显示”→“构件模式”中进行设置。<br />
选取功能可分为“按参数”、“按构件”两部分，部分功能介绍可参见表46。<br />
用户可根据需要进行相应构件的选取，被选中构件会变为洋红色以示选中，如图4116~图4122所示。<br />
表46 按参数选取功能表<br />

|选取方式|功能效果|
|-----|-----|
|按截面选取|可根据梁、柱、边缘构件截面进行构件选择|
|按材料选取|可根据混凝土、钢筋、型钢和钢板的材料属性进行构件选择。|
|按板厚选取|可根据不同的板厚度进行板构件选取。|
|按墙厚选取|可根据不同的墙厚度进行墙构件选取。|
|按楼层选取|可根据不同的层号进行构件选取。|
|按施工阶段选取|可根据不同的施工阶段进行构件选取。|
|按构件组选取|可根据不同的构件组进行选取|
|按塔号选取|可根据不同的塔号进行选取|
    <br />
     <br />
<img src="/uploads/dfas/images/image283.png" alt="" width="435"><br />
<img src="/uploads/dfas/images/image284.png" alt="" width="631"><br />
图4116 按截面选取<br />
     <br />
<img src="/uploads/dfas/images/image285.png" alt="" width="435"><br />
<img src="/uploads/dfas/images/image286.png" alt="" width="553"><br />
图4117 按材料选取<br />

|<img src="/uploads/dfas/images/image287.png" alt="" width="408"><br />
图4118 按板厚选取|<img src="/uploads/dfas/images/image288.png" alt="" width="408"><br />
图4119 按墙厚选取|
|-----|-----|
      <br />
<img src="/uploads/dfas/images/image289.png" alt="" width="381"><br />
<img src="/uploads/dfas/images/image290.png" alt="" width="507"><br />
图4120 按楼层选取<br />
【按施工阶段选取】可根据定义的不同施工阶段进行构件选取。施工阶段首先要在“分析”→“设置施工阶段”中进行设置。<br />
如图4121所示，将10层结构分为5个施工阶段进行分析。用户可点击“均分”功能进行快速设置，也可由用户点击定义不同楼层所属的施工阶段。<br />
      <br />
<img src="/uploads/dfas/images/image291.png" alt="" width="553"><br />
<img src="/uploads/dfas/images/image292.png" alt="" width="351"><br />
<img src="/uploads/dfas/images/image293.png" alt="" width="800"><br />
图4121 按施工阶段选取<br />
【按构件组选取】构件组是为了辅助后处理查看而定义的构件组，此功能的前提是建立构件组。首先选中局部构件集，在“分析”→“定义构件组”功能对话框内指定分组构件名称，之后可在【按构件组选取】内选择构件组。<br />
选择构件组后，视图中以洋红色显示选中构件，如图4122所示。<br />
     <br />
<img src="/uploads/dfas/images/image294.png" alt="" width="373"><br />
<img src="/uploads/dfas/images/image295.png" alt="" width="800"><br />
图4122 按构件组选择示意图<br />
【按塔号选取】可根据定义的不同塔号对塔楼选取，此功能前提是定义分塔。首先选取单个塔楼，在“属性修改”→“分塔”功能对话框内定义塔号，之后在【按塔号选取】内选取相应的塔号。<br />
选择塔号后，视图中以洋红色显示选中的塔楼，如图4123所示。<br />
    <br />
<img src="/uploads/dfas/images/image296.png" alt="" width="768"><br />
图4123按塔号选择示意图<br />
“按构件选取”可用于按照构件类型选取构件，可以选择的构件类型包括梁、柱、斜撑、墙梁、墙柱、边缘构件、板、减隔震装置、连梁纵筋。<br />
