该菜单可对所选择节点或构件的属性进行批处理操作，如图4131所示。<br />
    <br />
<img src="/uploads/dfas/images/image306.png" alt="" width="222"><br />
图4131 其它属性修改<br />
【主次梁】可将梁构件设置为主、次梁。不同的分析工况下软件采用的计算单元及作用见表411。<br />
表411 不同分析工况下柱、主梁、次梁单元选用表<br />

||静力、模态、弹性时程分析|弹塑性时程分析|
|-----|-----|-----|
|主梁|Euler梁单元|Timoshenko纤维梁单元|
|次梁|Euler梁单元|Euler梁单元|
|柱|Euler梁单元|Timoshenko纤维梁单元|
Timoshenko梁单元在弹塑性时程分析时，会计算材料弹塑性本构属性，Euler梁则始终保持弹性本构属性。用户需针对不同的分析项目对梁单元进行不同的设定，程序会根据分析工况自动对柱构件进行相应的单元选取。<br />
【性能化设计】用于定义构件在中震和大震作用下的材料本构、抗震等级和性能目标。<br />
材料本构定义如图4132所示。如果定义为弹性，并且在动力时程分析工况定义时选择“部分弹塑性分析”，则这部分构件在分析时保持弹性。<br />
    <br />
<img src="/uploads/dfas/images/image307.png" alt="" width="382"><br />
图4132 定义构件弹塑性对话框<br />
抗震等级定义如图4133所示，可以分别定义构件的抗震等级和抗震构造措施等级。当前版本抗震等级定义不起作用。<br />
<br />
<img src="/uploads/dfas/images/image308.png" alt="" width="372"><br />
图4133 定义构件抗震等级对话框<br />
性能目标定义如图4134所示，可以分别定义大震和中震下所拾取构件的性能目标，程序根据构件内力和定义的性能目标在配筋时完成相应的配筋计算。此属性在时程分析完成后也可修改。<br />
    <br />
<img src="/uploads/dfas/images/image309.png" alt="" width="505"><br />
图4134 定义构件性能目标对话框<br />
【偏心对齐】用于设置梁顶、板顶与楼层顶标高平齐。“楼面对齐”可以实现全楼的偏心对齐，“偏心删除”用于对所选构件删除其偏心，“偏心全删”用于删除所有构件的偏心定义。<br />
    <br />
<img src="/uploads/dfas/images/image310.png" alt="" width="800"><br />
<img src="/uploads/dfas/images/image311.png" alt="" width="777"><br />
（a）设置前                       (b)设置后<br />
图4135 楼面对齐<br />
对结构进行分析时，如果不进行特别设置，框架梁与楼板的位置关系为中性轴对齐，这与实际的梁板位置关系有所不同。通过楼面对齐设置，使梁顶和板顶与楼层标高平齐，与构件真实的位置关系一致。<br />
    <br />
<img src="/uploads/dfas/images/image312.png" alt="" width="666"><br />
图4136 构件属性对话框<br />
选中构件以后，可以通过右键的属性对话框（图4136）查看该构件的偏心设置。1点和2点分别为构件的两端，可以根据局部坐标系x轴的方向来判断，从1点指向2点的方向即为x轴方向。<br />
除采用“偏心对齐”菜单批量设置和删除偏心以外，也可以指定构件，修改其偏心距离。<br />
此外，建立构件时，也可以通过对话框中的建模参数设置构件的偏心率。<br />
【分塔】用于对结构进行分塔。在分析前对多塔结构进行分塔，分析之后可自动分塔输出楼层指标；若分析之后对分塔属性进行补充定义或修改，则需在后处理进行重新统计，输出更新后的分塔楼层指标。<br />
点击“分塔”菜单，在弹出的如图4137所示对话框中设置塔号信息。<br />
“新建”：用于新增塔号；<br />
“删除”：可删除已存在的塔号信息；<br />
“修改”：修改已存在塔号中所包含的构件;<br />
“显示”：用于显示单个塔楼。<br />
单击已存在的塔号，可在视图窗口中高亮显示该塔楼中包含的构件。<br />
    <br />
<img src="/uploads/dfas/images/image313.png" alt="" width="393"><br />
图4137 定义塔号<br />
快捷工具栏中的塔楼显示功能，可用于快速切换显示各塔楼构件。<br />
    <br />
<img src="/uploads/dfas/images/image314.jpeg" alt="" width="196"><br />
图4138 分塔显示快捷工具<br />
所有构件的默认塔号为1。<br />
可以通过菜单“选项→属性→塔号”显示构件的塔号。<br />
