依次执行“竖向加载分析”、“最大频率分析”及“初始模态分析”。<br />
“竖向加载分析”可以考虑施工阶段影响，得到竖向荷载加载完成后各单元的受力状态，用于动力时程分析。该分析采用隐式计算方法求解竖向荷载下的结构响应。竖向荷载加载分析的结果可以通过【初始结果】→【竖向加载】进行查看。<br />
“最大频率分析”用于计算显式时程分析的计算步长。计算结果可在【初始结果】→【振动分析】→【最大频率模态】/【最大频率】中查看。<br />
“初始模态分析”用于计算结构的初始模态。分析类型可以选择“子空间迭代法”和“多重里兹向量法”，如图629所示。通过设置振型数目，可计算结构前若干阶的振型与周期。计算结果可在【初始结果】→【振动分析】→【初始模态】/【初始周期】中查看。<br />
“考虑荷载产生的几何刚度”用于考虑预应力、温度对结构刚度的影响。勾选“考虑荷载产生的几何刚度”选项后，软件会先进行一次竖向加载分析计算构件轴力，根据构件轴力计算几何刚度矩阵并叠加到弹性刚度矩阵上，后续的竖向加载分析、模态分析、最大频率分析将采用新的刚度矩阵。<br />
    <br />
<img src="/uploads/dfas/images/image416.png" alt="" width="450"><br />
图629 一键隐式分析对话框<br />
