【选择地震动】用于选择动力时程分析地震波，如图632所示，用于选取进行动力时程分析所用的地震波。<br />
    <br />
<img src="/uploads/dfas/images/image419.png" alt="" width="800"><br />
图632 选取地震波对话框<br />
     <br />
<img src="/uploads/dfas/images/image420.png" alt="" width="800"><br />
图633 自动筛选地震波对话框<br />
“自动筛选地震动”对话框如所示，用于自动筛选满足规范要求的地震波。首先用户可以根据建筑所处的场地类别以及设计地震分组，按照《建筑抗震设计规范》（GB50011-2010）表5.1.4-2确定特征周期。需要注意的是，罕遇地震的特征周期应该在该表的基础上增加0.05s。用户可以在特征周期列表框中选择相应的数值，符合该特征周期的地震波将会列于下方。用户可以从中选择地震波用于动力时程分析。地震波分为天然波（TH开头）和人工波（RH开头）两种，每一组地震波分别包含X、Y和Z三个方向。如果在【建模编辑】→【全楼参数】→【总信息】中设置了场地类别和场地分组，则程序会自动按照规范确定特征周期。<br />
程序默认的筛选条件是根据《建筑抗震设计规范》要求，每条时程曲线计算得到的结构底部剪力不应小于振型分解反应谱法计算结果的65%，多条时程曲线计算所得结构底部剪力的平均值不应小于振型分解反应谱法计算结果的80%。<br />
此外，规范要求多组时程曲线的平均地震影响系数曲线应与振型分解反应谱法所采用的地震影响系数曲线在统计意义上相符，对于单条时程曲线并未做要求。因而对此进行筛选条件设置时，可以适当放大限值范围，以找到满足要求的地震波。<br />
用户可以修改地震影响系数曲线对比所对应的周期点，或者增加要对比的周期点个数。比如对隔震结构进行选波时，要求对隔震模型和非隔震模型均满足此要求，需要对比六个周期点。<br />
从左侧SSG地震动库中选择地震动作为备选地震动，输入筛选条件并点击自动筛选按钮，程序将根据筛选条件选择地震波。<br />
“用户自定义”用于导入地震波，如图634所示。首先输入地震波名称，并分别点击主方向地震动、次方向地震动以及竖直方向地震动右侧的按钮进行导入。 <br />
<img src="/uploads/dfas/images/image421.png" alt="" width="26"><br />
    <br />
<img src="/uploads/dfas/images/image422.png" alt="" width="539"><br />
（a）<br />
    <br />
<img src="/uploads/dfas/images/image423.png" alt="" width="769"><br />
（b）<br />
图634 导入地震波加速度数据操作窗口<br />
“数据首行号”：如果输入2，则表示从右侧数据第二行开始读取。<br />
“数据末行号”：如果左侧输入行数比右侧数据最大行数大，则程序按右侧行数读入数据；如果左侧输入行数比右侧数据最大行数小，则程序按左侧行数读入数据；即程序读入数据行数=min（左侧输入行数，右侧数据行数）<br />
数据内容：<br />
  时间和加速度：包含时间和加速度两列数据。<br />
  等间隔加速度：仅包含加速度一列数据。<br />
  时间间隔：等间隔加速度的时间间隔<br />
 “每点加速度分量数”： 同一时刻的加速度分量个数，如包含X方向、Y方向和Z方向加速度分量，则输入为3。程序会自动按照该数值将原地震波数据文件拆分成几个文件。<br />
 “每行点数”：每行数据的时刻个数。其与“每点加速度分量数”之积为每行加速度数据个数。<br />
“时间单位”：程序提供“秒、毫秒”供用户选择。<br />
“加速度单位”：程序提供“m/s2、cm/s2、mm/s2、g”供用户选择。<br />
注意：分隔符可以为空格、逗号、分号、Tab。<br />
从自动筛选的地震波库、SSG地震波库或者用户自定义的地震波库中，选择相应地震波，并点击“选择”按钮，程序会将该地震波自动分配到主方向、次方向以及竖直方向。<br />
快速截断工具：用于快速根据指定要求对地震波进行截断。<br />
截断用峰值百分比：按照峰值百分比对地震波进行截断。默认取为10%，即自动截断第一次达到峰值10%和最后一次达到峰值10%之间的地震波。<br />
峰值后计算时间：达到峰值以后计算的时长，默认值为5s。允许用户修改。<br />
点击“截断”按钮，将根据快速截断工具设置内容自动对地震波进行截断。程序默认取快速截断工具中根据两个参数截断后的交集。<br />
“时程分析起止时间”与地震波数据的时间轴对应。用户可根据地震波的长度和地震波的特点，自行确定时程分析起止和终止时间。<br />
主方向、次方向、竖直方向可分别显示三个方向地震波的加速度时程、单自由度加速度反应谱以及单自由度位移反应谱，上述六个反应谱均与规范谱进行叠加比较，用于判断波的选择是否合理，对计算结果没有影响，反应谱参数可在【建模编辑】→【全楼参数】→【总信息】中进行设置。<br />
