【动力非线性】用于设置动力时程分析工况和提交计算，可进行弹性时程分析也可进行弹塑性时程分析，如图637所示。<br />
    <br />
<img src="/uploads/dfas/images/image426.png" alt="" width="800"><br />
图637 动力非线性分析<br />
“自动生成工况”：点击此按钮，则根据所选择的地震动，自动生成分析工况。<br />
“工况名称”可以输入动力时程分析工况的名称，程序默认定义为地震波名称_X，地震波名称_Y，…。<br />
“计算状态”：表示该工况是否已经完成计算以及计算进度。<br />
“运行”：如果勾选该工况，点击确定按钮后，程序会运行相应工况。<br />
“新增工况”、“复制工况”“删除工况”用于建立一个新的工况、根据当前工况复制一个工况以及删除一个已有的工况。<br />
“上移工况”、“下移工况”用于调整工况的前后顺序。<br />
点击【批量修改计算参数】，可快速修改各工况的地震水准及各方向地震峰值加速度。<br />
- ### 分析参数<br />
“分析参数”栏用于设置动力时程分析所用的参数。<br />
“弹性”、“弹塑性”选项用于选择材料本构，可分别用于弹性时程分析和弹塑性时程分析。<br />
“部分弹塑性”选项用于按照指定的材料本构进行弹塑性时程分析。材料本构指定通过【属性修改】→【性能化设计】→【材料本构】中进行指定。<br />
“高级设置”参数对话框如图638所示。<br />
    <br />
<img src="/uploads/dfas/images/image427.png" alt="" width="296"><br />
图638 高级设置对话框<br />
“楼板弹性”，即对楼板按照弹性本构进行分析，以加快分析速度。<br />
“混凝土约束效应”用于考虑一维混凝土构件中箍筋对混凝土的约束作用、钢管混凝土构件中钢管对于核心区混凝土的约束作用以及钢管约束混凝土剪力墙中外包钢板对于中间混凝土的约束作用。<br />
“剪切铰弹塑性”当需要考虑纤维梁的剪切非线性时，用户需要在前处理中对相关构件指定“剪切铰弹塑性”属性。<br />
“分布钢筋抗剪调整系数”用于考虑壳单元中分布钢筋对抗剪的作用。<br />
“考虑几何非线性”：如勾选则考虑几何非线性，否则不考虑几何非线性影响。<br />
“静力加载采用显式方法计算”：程序在一键初始分析时已经采用隐式算法进行了竖向加载分析，如果勾选该项，则程序会采用显式方法重新进行竖向加载分析。<br />
动力分析方法包括“修正的中心差分格式”、“隐式Newmark法”、“振型叠加法”、“王-杜显式格式”以及“显式FNA方法”。进行弹性时程分析时，可以选择五种方法中的任意一种，相较于显式算法，隐式算法（隐式Newmark法以及振型叠加法）的计算速度更快；进行弹塑性时程分析时，仅能选择“修正的中心差分格式”、“王-杜显式格式”或者“显式FNA方法”。<br />
“加载时间步长”由程序根据最大频率分析结果给出，可在【静力结果】→【初始分析结果】→【最大频率】中查看。<br />
- ### 阻尼<br />
“阻尼”栏用于定义结构阻尼，软件提供了两类结构阻尼计算方法，分别是瑞利阻尼与振型阻尼。点击【修改阻尼】进入“定义阻尼”对话框。<br />
“瑞利阻尼”中的“周期1”可通过模态分析计算得到，“周期2”程序默认取为周期1的十分之一。“阻尼比1”和“阻尼比2”可结合规范要求，针对不同的结构体系进行相应的设置。用户也可以直接输入α值和β值。程序计算时，仅考虑质量系数α，以保证计算时间步长不至于过小，导致分析时间过长。<br />
“振型阻尼”可通过设置“振型数”，并在“各振型阻尼比%”中分别输入各振型相应的阻尼比进行设置。“全楼统一”适用于纯混凝土结构或纯钢结构，“按材料区分”适用于结构中即包含混凝土构件又包含钢构件时，可按不同的材料分别输入阻尼比。<br />
“简化振型阻尼”用于对振型阻尼进行简化以提升计算速度。<br />
- ### 初始状态荷载<br />
“初始状态荷载”用于定义动力时程分析的初始状态，不勾选则不考虑初始状态直接进行时程分析。在勾选状态下，可设置初始状态所包含的荷载工况以及组合系数。<br />
“静力加载采用显式方法计算”，若勾选则采用显式算法进行初始状态分析。“加载时长”为静力加载的分析时长，一般采用10s加载时长计算。<br />
- ### 初始缺陷<br />
“初始缺陷”用于设置是否考虑结构初始缺陷进行分析。<br />
“考虑整体缺陷”若勾选则考虑结构整体缺陷，否则不考虑。<br />
“考虑构件缺陷”若勾选则考虑结构构件缺陷，否则不考虑。<br />
- ### 激励方式<br />
动力非线性分析激励方式分为两种：一致激励、多点激励。<br />
“一致激励”为常用的动力时程分析方法，对结构全楼施加相同的加速度激励地震波，相关定义方法见第6.4.4 节。<br />
“多点激励”常用于平面尺寸较大的结构体系分析，可考虑地震波传递过程中产生的相位差，对不同部位采用不同的激励波加载，相关定义方法见第6.4.5 节。<br />
