广泛收集国内外的混凝土构件试验数据，采用机器学习方法，建立混凝土构件纵筋及箍筋的预测模型，实现混凝土框架柱和剪力墙边缘构件智能设计。<br />
    <br />
<img src="/uploads/dfas/images/image516.png" alt="" width="447"><br />
图106 构件配筋计算<br />
菜单：【设计报告】→【设计】→【配筋计算】<br />
构件默认配筋方法为规范方法。<br />
目前机器学习方法仅支持计算混凝土柱纵筋、箍筋以及剪力墙边缘构件箍筋，用户只需勾选相应的选项即可。对于未列出及未勾选项的构件，程序仍采用规范方法进行配筋。<br />
勾选“采用机器学习方法计算柱纵筋”或“采用机器学习方法计算柱延性需求箍筋”时，计算结果可以在配筋结果及数据文件中进行查看。勾选“采用机器学习方法计算剪力墙边缘构件延性需求箍筋”时，计算结果保存在工程目录下“工况名称_AsvWall.csv”文件中。<br />
位移角放大系数：用户可以输入位移角放大系数，对程序根据时程分析得到的构件位移角进行放大，程序会根据放大以后的位移角计算配筋。<br />
构件极限位移角对应构件比较严重损坏和严重损坏的界线值，可根据构件性能目标对构件位移角需求进行放大。为使竖向承重的关键构件框架柱损坏程度控制在中度损坏及以下，将框架柱极限位移角需求近似放大1.5倍[10]，将剪力墙极限位移角需求近似放大1.3倍[11]。<br />
由于构件延性变形能力受轴压比、箍筋用量、箍筋分布和间距、箍筋强度、混凝土强度、剪跨比、纵筋配筋率、截面形状等众多因素影响，且各影响因素相互关联，导致箍筋设计难有准确的计算方法，经验公式结果离散性很大。近年来，随着计算机计算能力的大幅提升和人工智能技术的快速发展，基于机器学习的非参数模型在试验数据充分、机理复杂的领域得到了广泛的应用，取得了丰硕的成果。相比于经验模型，机器学习具有以下优点：（1）具有强大的捕捉输入和输出变量之间复杂非线性关系的能力；（2）可以处理大量输入变量，避免忽略潜在的重要变量；（3）可以考虑试验样本的多样性，从海量数据中深入挖掘信息。因此，有必要尝试采用机器学习方法来预测钢筋混凝土构件所需的箍筋用量。<br />
文献[12]基于326个矩形柱和172个圆形柱组成的试验数据库（共498个样本），系统地进行了特征工程，包括数据转换、特征提取、特征选择和特征迭代，训练了包括普通最小二乘法、Lasso回归、岭回归、K-最近邻、支持向量回归、多层感知器、决策树、随机森林、AdaBoost、XGBoost、LightGBM和CatBoost在内的12个机器学习模型。采用网格搜索和十折交叉验证方法进行机器学习模型超参数调优。通过在测试集上的综合性能评价，选择XGBoost模型作为最终的推荐模型，并采用SHAP方法和部分依赖图（PDP）验证了机器学习模型的可靠性。<br />
文献[13]基于501个剪力墙试件，通过特征升维得到52个输入参数，经过特征降维得到六个特征组成的最简特征子集。采用网格搜索和十折交叉验证方法进行超参数调优，通过在测试集上的综合性能评价，从十一种模型中选出选择XGBoost模型作为最终的推荐模型。与经验模型相比，该模型具有更高的精度和更低的离散性。同时，该模型能够捕捉影响因素与配箍之间的非线性关联，充分考虑了各影响因素对剪力墙边缘构件配箍的影响。<br />
框架梁配箍率预测模型尚在研发中，目前采用钱稼茹等[14]基于大量试验研究数据采用统计回归方法获得的钢筋混凝土框架梁配箍特征值计算公式：<br />
    <br />
    <br />
式中：为框架梁配箍特征值；为位移角需求；为相对受压区高度；为剪跨；为截面有效高度；、分别为受拉钢筋和受压钢筋配筋率；为纵筋屈服强度；为混凝土受压强度；为系数，对强度等级不超过C50的混凝土，可取0.797。<br />
