【构件位移角】用于显示构件位移角云图。<br />
典型的柱静力试验采用悬臂柱加载方式，而实际结构中框架柱两端均有力和位移约束，框架柱中部通常存在反弯点。可将反弯点上、下的柱段等效为两个静力加载试验的悬臂柱，如图1010所示，分别计算构件位移角。<br />

|<img src="/uploads/dfas/images/image543.png" alt="" width="800"><br />
|
|-----|
|（a） 悬壁柱|（b） 结构构件|
图1010 柱极限位移角计算示意图<br />
若柱上、下端节点弯矩异号，由柱上、下端节点弯矩及坐标插值确定柱反弯点位置，根据有限元形函数计算反弯点位移。对于每个等效悬臂柱，将反弯点和柱端的位移变换到柱端基于切线定义的局部坐标系中，即自动扣除了柱端牵连转角，即无害位移角，如图1010（b）所示。柱顶端和底端的构件位移角通过下式计算。<br />
<br />
<br />
<br />
式中：为上柱段构件位移角；为下柱段构件位移角；为反弯点处的位移；为柱上端节点位移；为柱下端节点位移；为上柱段高度；为下柱段高度。<br />
若柱上、下端节点弯矩同号，反弯点在柱外，则无需计算反弯点位置，直接根据柱上、下端位移近似计算柱位移角：<br />

||
|-----|
式中：为柱高。<br />
在小变形情况下，为了减少计算等效悬壁柱切线坐标系及将节点位移转换到切线坐标系的计算量，也可采用构件初始坐标系近似计算构件位移角，但需扣除构件端部转角引起的无害位移角。<br />
若柱上、下端节点弯矩异号：<br />
<br />
<br />
<br />
式中：为柱顶端转角；为柱底端转角。<br />
若柱上、下端节点弯矩同号：<br />

||
|-----|
梁或斜撑位移角计算方法与柱类似，只是将柱底、柱顶位移换成梁或斜撑左端、右端位移。<br />
取非线性动力时程分析构件位移角全时程绝对值最大值，作为构件极限位移角需求。由于构件截面高度方向和宽度方向尺寸及延性需求可能相差较大，分别统计截面高度方向和宽度方向的极限位移角需求。<br />
剪力墙位移角计算方法与柱类似，只是墙底、墙顶的位移采用两侧节点位移的平均值。以如图1011所示四边形墙为例，节点位移转换到墙局部坐标系，构件位移角按下式计算： <br />

||
|-----|
式中：取L、K节点位移平均值；取I、J节点位移平均值；取I、J节点竖向位移差与墙宽的比值；H为墙高。<br />
    <br />
<img src="/uploads/dfas/images/image544.png" alt="" width="699"><br />
图1011 剪力墙极限位移角计算示意图<br />
