### 1) 梁单元几何信息介绍<br />
梁单元含有两个节点i和j，各有6个自由度，分别为三个平动分量和三个转动分量。<br />
<br />
局部坐标系约定，取梁轴向为局部坐标系x轴，截面宽度方向为y轴，截面高度方向为z轴。<br />
### 2) 考虑剪切变形的经典梁修正模型<br />
y向弯曲变形刚度方程推导与z向弯曲变形类似。不考虑方向间的耦合作用，故以下以z向弯曲变形为例说明刚度方程推导。<br />
经典梁弯曲的基本关系为：曲率；弯矩；剪力。<br />
梁的挠度表示为两部分叠加：<br />
<br />
其中，为弯曲引起的挠度，为由剪切引起的挠度。保留经典梁的基本关系，并假定剪切变形、剪力。对采用经典梁的三次Hermite插值，对采用线性插值。具体如下：<br />
<br />
<br />
其中，（）为三次Hermite插值形函数，（）为线性形函数。<br />
上述插值中，每个结点含、、（）3个未知位移。利用单元层次的平衡方程、和几何关系可消去多余未知参数，只保留结点总位移、（）为未知参数。<br />
关于轴向拉压和扭转的作用，基本关系为：轴力产生的轴向应变、轴力；扭转率，扭矩。对和采用线性插值，则与为常量。<br />
综合以上，根据虚功方程可推得单元刚度矩阵如下：<br />
<br />

|||||
|-----|-----|-----|-----|
||||
||||
式中：，，表示y向有效剪切面积，表示z向有效剪切面积，为单元长度。<br />
### 3) Timoshenko梁单元刚度矩阵<br />
设、、为梁轴线沿方向的位移，、、为梁轴线绕的小转动。则有梁轴线上任意点的广义位移：<br />
<br />
根据平截面假定，梁内任意一点的位移为：<br />
<br />
根据弹性体几何关系，梁内任意一点的应变为：<br />
<br />
式中，。引入截面扭率，且假定扭转作用不与其他作用发生耦合，扭转应变在截面上均匀分布。则有截面上任意点的应变可表示为：<br />
<br />
其中，为与截面形式有关的扭转修正系数。根据梁理论的假定，对应于上述应变的材料矩阵为：<br />
<br />
构造梁的有限单元模型，对梁轴线的广义位移作2结点线性插值：<br />
<br />
其中为结点位移向量。插值矩阵的形式如下：<br />
<br />
，<br />
式中，x为梁轴线上某点到结点i的距离；l为单元长度。假设横向剪切应力在截面上均匀分布，则可根据应力-应变层次上的虚功原理导出对应于结点位移向量的单元刚度矩阵如下：<br />
    <br />
，，，，，，，，，<br />
    <br />
### 4) 铰接梁单元刚度矩阵<br />
铰接只影响弯曲变形，不影响轴向拉压与扭转，为便于清晰地说明问题，取出两端刚接梁单元刚度矩阵y向弯曲变形部分，即：<br />
    <br />
记铰接自由度为，其它自由度为，并将刚度矩阵记成分块形式，即有：<br />
    <br />
分块运算可得：<br />
    <br />
由上可推得铰接单元刚度矩阵：<br />
    <br />
注意：该铰接单元刚度矩阵对前述两种梁单元均适用。<br />
