壳单元用于模拟楼板、剪力墙等平面构件，统一采用基于“膜+板（中厚板）”的平板壳元模型。在选择单元模型时，解决了剪切闭锁和膜闭锁问题，并对单点积分的沙漏模态进行了有效物理控制。<br />
### 1) 壳单元几何信息介绍<br />
三角形壳单元共有3个节点，四边形壳单元共有4个节点。各节点均有6个自由度，即、、、、、。其中、、为平面内自由度，、、为平面外自由度。对于常用的壳单元的刚度矩阵，可由平面内刚度（膜部分）与平面外刚度（板部分）按自由度对应关系，直接组装而成。<br />
局部坐标系约定，取x轴与y轴位于壳单元平面内，z轴位于壳单元平面法向。<br />
### 2) 三角形壳单元膜部分<br />
该单元细节介绍参见须寅、龙驭球等[5]所著文献《引入泡状位移含旋转自由度的广义协调三角形膜元》。记三角形壳单元的3个节点为i、j、m，其坐标分别为、、。单元的节点位移向量为：<br />
    <br />
构造形函数<br />
式中，<br />
令：<br />
<br />
由几何关系，即有：<br />
<br />
据弹性力学，应力有应变如下关系<br />
<br />
根据虚功原理，可以得到单元刚度矩阵：<br />
<br />
### 3) 三角形壳膜部分的沙漏修正<br />
单元的常应变模态有3个，可表示为：<br />
<br />
注意：一个模态实指一个位移向量，单元共计9个自由度，向量维数即为9×1。<br />
单元的刚体位移模态共有3个，可表示为：<br />
<br />
常应变模态与刚体位移模态共计6个，而单刚的阶数为9个，将产生沙漏。记常应变模态与刚体位移模态组成的向量组为，沙漏模态组成的向量组为。与线性无关，且满足：。可表示为：<br />
<br />
将向量进行Gram-Schmidt正交化，可得。将中各向量单独与进行Gram-Schmidt正交化，即有：<br />
<br />
式中：<br />
为中第i阶向量，为中的第j阶向量。<br />
经运算可知，且。即与向量组正交，而与向量组不正交。<br />
在外荷载作用下，对于单点积分单元，仅能准确反应单元按常应变模态与刚体位移模态变形，记由中的各向量线性组合而成，即有：<br />
<br />
构造沙漏修正刚度矩阵，取，为非零常数。取修正后的刚度矩阵为，即有：<br />
<br />
由上可见，在外荷载作用下，可有效抑制单元按沙漏模态变形，同时不影响单元的常应变模态与刚体位移模态。<br />
### 4) 三角形壳单元之板部分（三点积分）<br />
该单元细节介绍参见岑松、龙志飞[6]所著文献《对转角场和剪应变场进行合理插值的厚板元》。<br />
记三角形壳单元的3个节点为、、，其坐标分别为、、。单元的节点位移向量为<br />
<br />
单元内任意一点转角与可表示如下：<br />
<br />
<br />
式中：<br />
<br />
<br />
由几何关系：<br />
<br />
借鉴梁单元剪切应变定义，可假设各边的剪切应变为：<br />
，，<br />
<br />
单元内任意一点转角与可表示如下：<br />
<br />
于是，<br />
广义应力与应变关系是：<br />
<br />
<br />
<br />
根据虚功原理，可以得到单元刚度矩阵：<br />
<br />
### 5) 四边形壳单元膜部分<br />
该单元细节参见BELYTSCHKO[7]所著文献《EFFICIENT IMPLEMENTATION OF QUADRILATERALS WITH HIGH COARSE-MESH ACCURACY》。记四边形壳单元的4个结点坐标为，。膜单元的节点位移向量为：<br />
。<br />
位移模式：<br />
<br />
据此构造单元位移场：<br />
<br />
<br />
、为等参元坐标。<br />
刚体位移模式和沙漏位移模式：、<br />
应变矩阵：<br />
令：为四边形单元的面积，<br />
<br />
<br />
材料矩阵：<br />
<br />
平面应力条件下：<br />
<br />
膜单元的刚度矩阵，由常应变部分单点积分得到的刚度矩阵和沙漏刚度矩阵组成：<br />
<br />
<br />
<br />
其中：<br />
，，<br />
，<br />
，<br />
    <br />
    <br />
该单元可有效解决体积自锁、“寄生”剪切、对不规则网格敏感性等问题，对于粗糙网格也具有较高的精度；并且采用了缩减积分，具有很高的计算效率。<br />
### 6) 四边形壳单元板部分<br />
采用考虑横向剪切变形的Mindlin板。节点位移：。<br />
板内任意一点的应变向量：。引入插值函数，应变向量可通过几何矩阵和单元结点位移得到。<br />
<br />
其中：<br />
，<br />
<br />
<br />
材料矩阵，为弯曲应变对应的材料矩阵；为横向剪切应变对应的材料矩阵。与铁木辛柯梁单元相同，假定横向剪切作用始终为弹性。<br />
应力向量：<br />
<br />
单元刚度矩阵：<br />
<br />
插值函数为双线性函数。为提高计算效率和并保证计算精度，采用选择性缩减积分方案：弯曲刚度和剪切刚度采用单点积分；弯曲刚度的双线性部分做全积分以作为板的物理沙漏刚度，即<br />
<br />
其中：<br />
<br />
