SAUSAGE中进行弹塑性分析时，需将梁单元沿截面剖分成多个纤维，壳单元沿厚度剖分成多层。根据几何构件类型与纤维（层）剖分方案，将各类单元分为多块，输出单元计算结果时，也是按块输出，具体参见下表。<br />

|块名称|几何构件|截面/钢筋网层数|混凝土纤维/层|钢筋纤维/层|钢材纤维/层|
|-----|-----|-----|-----|-----|-----|
|单向混凝土梁|主梁|混凝土梁|12|8|0|
|双向混凝土梁|柱子|混凝土方柱、混凝土圆柱|36|8|0|
|钢梁|主梁、柱子|方钢管梁、工字型钢梁、方钢管柱、圆钢管柱、工字型钢柱、十字型钢柱|0|0|16|
|钢管混凝土梁|主梁、柱子|方钢管混凝土梁、方钢管混凝土柱、圆钢管混凝土柱|36|0|24|
|钢骨混凝土梁|主梁、柱子|工字型-钢骨混凝土梁、方钢管-钢骨混凝土柱、工字型-钢骨混凝土方柱、十字型-钢骨混凝土方柱、圆钢管-钢骨混凝土柱、工字型-钢骨混凝土圆柱、十字型-钢骨混凝土圆柱|36|8|16|
|混凝土次梁|次梁|混凝土梁|1|0|0|
|型钢次梁|次梁|方钢管梁、工字型钢梁|0|0|1|
|末点铰接混凝土梁|铰接梁|混凝土梁|1|0|0|
|末点铰接钢梁|铰接梁|方钢管梁、工字型钢梁|0|0|1|
|配筋等效构件|边缘构件、连梁纵筋、暗梁|　|0|1|0|
|起点铰接混凝土梁|铰接梁|混凝土梁|1|0|0|
|起点铰接钢梁|铰接梁|方钢管梁、工字型钢梁|0|0|1|
|两端铰接钢梁|铰接斜撑|方钢管柱、圆钢管柱、工字型钢柱、十字型钢柱|0|0|1|
|三角形单元楼板||　|1|2||
|四边形单元楼板|||1|2||
|nR_mS三角形单元|剪力墙|　|6|n|m|
|nR_mS四边形单元|剪力墙|　|6|n|M|
|注：“钢筋纤维/层”中的“层”指钢筋网，即两个方向，对应两个钢筋层。|
动力时程结果计算参数说明：<br />
<br />

|构件类型|项目|分量|含义|
|-----|-----|-----|-----|
|梁/柱/斜撑|应力应变|εc1|第一根混凝土纤维正应变；|
|||σc1|第一根混凝土纤维正应力；|
|||εce1|第一根混凝土纤维受压历史最大应变；|
|||εte1|第一根混凝土纤维受拉历史最大应变；|
|||εc2|第二根混凝土纤维正应变；|
|||σc2|第二根混凝土纤维正应力；|
|||εce2|第二根混凝土纤维受压历史最大应变；|
|||εte2|第二根混凝土纤维受拉历史最大应变；|
|||εc3|第三根混凝土纤维正应变；|
|||σc3|第三根混凝土纤维正应力；|
|||εce3|第三根混凝土纤维受压历史最大应变；|
|||εte3|第三根混凝土纤维受拉历史最大应变；|
|||εc4|第四根混凝土纤维正应变；|
|||σc4|第四根混凝土纤维正应力；|
|||εce4|第四根混凝土纤维受压历史最大应变；|
|||εte4|第四根混凝土纤维受拉历史最大应变；|
|||εr1|第一根钢筋纤维正应变；|
|||σr1|第一根钢筋纤维正应力；|
|||εr2|第二根钢筋纤维正应变；|
|||σr2|第二根钢筋纤维正应力；|
|||εr3|第三根钢筋纤维正应变；|
|||σr3|第三根钢筋纤维正应力；|
|||εr4|第四根钢筋纤维正应变；|
|||σr4|第四根钢筋纤维正应力；|
|||εs1|第一根钢材纤维正应变；|
|||σs1|第一根钢材纤维正应力；|
|||εs2|第二根钢材纤维正应变；|
|||σs2|第二根钢材纤维正应力；|
|||εs3|第三根钢材纤维正应变；|
|||σs3|第三根钢材纤维正应力；|
|||εs4|第四根钢材纤维正应变；|
|||σs4|第四根钢材纤维正应力；|
||截面变形|εx|轴向应变；|
|||ky|y向曲率；|
|||kz|z向曲率；|
||单元内力|N|轴力；|
|||Vy|y向剪力；|
|||Vz|z向剪力；|
|||T|扭矩；|
|||My|y向弯矩；|
|||Mz|z向弯矩；|
||单元损伤|Dc|压缩损伤;|
|||Dt|拉伸损伤;|
|||γ/γus,,y()|y向剪切损伤（考虑剪切铰）|
|||γ/γus,z()|z向剪切损伤（考虑剪切铰）|
||钢筋/钢材塑性应变|εp|塑性应变|
|||κyp|y向塑性曲率|
|||κzp|z向塑性曲率|
|||εo|塑性发展程度（钢筋应变与屈服应变的比值）|
|墙/板|应力应变|εx_b|壳单元底面平面内x向应变；|
|||εy_b|壳单元底面平面内y向应变；|
|||γxy_b|壳单元底面平面内剪应变；|
|||σx_b|壳单元底面平面内x向应力；|
|||σy_b|壳单元底面平面内y向应力；|
|||τxy_b|壳单元底面平面内剪应力；|
|||epx_b|壳单元底面x向塑性应变；|
|||epy_b|壳单元底面y向塑性应变；|
|||epxy_b|壳单元底面xy向塑性剪切应变；|
|||ep3_b|壳单元底面z向塑性应变；|
|||epc_b|壳单元底面等效压缩塑性应变；|
|||ept_b|壳单元底面等效拉伸塑性应变；|
|||εh_b|壳单元底面水平向钢筋纤维正应变；|
|||σh_b|壳单元底面水平向钢筋纤维正应力；|
|||εv_b|壳单元底面竖向钢筋纤维正应变；|
|||σv_b|壳单元底面竖向钢筋纤维正应力；|
|||εx_t|壳单元顶面平面内x向应变；|
|||εy_t|壳单元顶面平面内y向应变；|
|||γxy_t|壳单元顶面平面内剪应变；|
|||σx_t|壳单元顶面平面内x向应力；|
|||σy_t|壳单元顶面平面内y向应力；|
|||τxy_t|壳单元顶面平面内剪应力；|
|||epx_t|壳单元顶面x向塑性应变；|
|||epy_t|壳单元顶面y向塑性应变；|
|||epxy_t|壳单元顶面xy向塑性剪切应变；|
|||ep3_t|壳单元顶面z向塑性应变；|
|||epc_t|壳单元顶面等效压缩塑性应变；|
|||ept_t|壳单元顶面等效拉伸塑性应变；|
|||εh_t|壳单元顶面水平向钢筋纤维正应变；|
|||σh_t|壳单元顶面水平向钢筋纤维正应力；|
|||εv_t|壳单元顶面竖向钢筋纤维正应变；|
|||σv_t|壳单元顶面竖向钢筋纤维正应力;|
||截面变形|εx|平面内x向应变；|
|||εy|平面内y向应变；|
|||γxy|平面内剪应变；|
|||kx|平面外x向曲率；|
|||ky|平面外y向曲率；|
|||kxy|平面外xy向曲率；|
||单元损伤|Dc|(广义)压缩损伤;|
|||Dt|(广义)拉伸损伤;|
|||Dsy|y向剪切损伤|
|||Dsz|z向剪切损伤|
|||D11|拉弯型整体刚度损伤;|
|||Dc11|拉弯型压缩损伤;|
|||Dt11|拉弯型拉伸损伤;|
|||D33|压弯型整体刚度损伤;|
|||Dc33|压弯型压缩损伤;|
|||Dt33|压弯型拉伸损伤;|
|||D24|剪切型整体刚度损伤;|
|||Dc24|剪切型压缩损伤;|
|||Dt24|剪切型拉伸损伤;|
|||D|整体刚度损伤;|
|||CrackW|裂缝宽度;|
|||CrackA|裂缝角度;|
||钢筋/钢材塑性应变|εpx|x向钢筋塑性应变|
|||εpy|y向钢筋塑性应变|
|||εx,o|x向塑性发展程度（x向钢筋应变与屈服应变的比值）|
|||εy,o|y向塑性发展程度（y向钢筋应变与屈服应变的比值）|
|||εmax,o|最大塑性发展程度|
|一般连接|单元应力|Dx|局部坐标轴x向相对变形|
|||Dy|局部坐标轴y向相对变形|
|||Dz|局部坐标轴z向相对变形|
|||Dx0|x向屈服程度(x向相对变形与屈服变形的比值)|
|||Dy0|y向屈服程度(y向相对变形与屈服变形的比值)|
|||Dz0|z向屈服程度(z向相对变形与屈服变形的比值)|
||单元内力|N|轴力；|
|||Vy|y向剪力；|
|||Vz|z向剪力；|
|||T|扭矩；|
|||My|y向弯矩；|
|||Mz|z向弯矩；|
|节点|节点位移|Ux|整体坐标系X向平动位移|
|||Uy|整体坐标系Y向平动位移|
|||Uz|整体坐标系Z向平动位移|
|||URx|整体坐标系X向转动位移|
|||URy|整体坐标系Y向转动位移|
|||URz|整体坐标系Z向转动位移|
||节点速度|Vx|整体坐标系X向平动速度|
|||Vy|整体坐标系Y向平动速度|
|||Vz|整体坐标系Z向平动速度|
|||VRx|整体坐标系X向转动速度|
|||VRy|整体坐标系Y向转动速度|
|||VRz|整体坐标系Z向转动速度|
||节点加速度|Ax|整体坐标系X向平动加速度|
|||Ay|整体坐标系Y向平动加速度|
|||Az|整体坐标系Z向平动加速度|
|||ARx|整体坐标系X向转动加速度|
|||ARy|整体坐标系Y向转动加速度|
|||ARz|整体坐标系Z向转动加速度|
||节点能量|Kinet|动能|
|||Viso|阻尼耗能|
|||VelDamper|速度型阻尼器耗能|
|||DisDamper|位移型阻尼器耗能|
|||Inter|应变能|
|||Exter|外力做功|
|||Total|总能量|
    <br />
    <br />
