软件操作界面采用Ribbon风格。软件操作界面分为菜单栏、模型树、图形区、输出窗口和快捷工具栏，如图31所示。<br />
<br />
<img src="/uploads/dfas/images/image15.png" alt="" width="800"><br />
图31 软件操作界面<br />
菜单栏<br />
菜单栏包含软件运行主要功能，详见第4章 ~第11章 介绍。<br />
模型树<br />
模型树位于软件操作界面左侧，用于查看模型信息和图形操作，如图32所示。<br />
    <br />
<img src="/uploads/dfas/images/image16.png" alt="" width="290"><br />
图32 模型树<br />
树形菜单包括“模型”、“属性”和“分析”三个模块。左键双击条目可选择条目对应构件；右键点击条目可打开快捷功能菜单，如图33 所示。详细功能介绍如图表 31所示。<br />
“模型”模块包含楼层、施工阶段、节点、构件和单元等信息，右键快捷功能菜单如图33 (a)所示。<br />
“属性”模块包括材料、梁截面、柱撑截面、边缘构件截面、减隔震装置、墙板截面和构件组等，在构件模式下双击项目可直接选中构件，右键快捷功能菜单如图33 (a)所示。<br />
“分析”模块包括“生成网格”、“竖向加载”、“最大频率”、“初始模态”、“线性屈曲”、“选择地震动”、“动力非线性”和“静力非线性”等，右键快捷功能菜单如图33 (b)所示。<br />
     <br />
<img src="/uploads/dfas/images/image17.jpeg" alt="" width="114"><br />
<img src="/uploads/dfas/images/image18.jpeg" alt="" width="114"><br />
(a)快捷功能菜单1     (b)快捷功能菜单2<br />
图33 快捷功能菜单<br />
图表 31树形菜单功能介绍<br />

|功能名称|说明|图示|适用模块|
|-----|-----|-----|-----|
|左键双击选择|选择构件，构件选中后高亮显示|<img src="/uploads/dfas/images/image19.png" alt="" width="278"><br />
|“模型”模块“属性”模块|
|编辑|修改参数，例如截面参数、材料参数等|<img src="/uploads/dfas/images/image20.png" alt="" width="697"><br />
|“属性”模块|
|显示|显示构件，同时隐藏其他所有构件|<img src="/uploads/dfas/images/image21.png" alt="" width="264"><br />
|“模型”模块“属性”模块|
|激活|将构件添加到显示图形中|<img src="/uploads/dfas/images/image22.png" alt="" width="624"><br />
|“模型”模块“属性”模块|
|隐藏|隐藏构件|<img src="/uploads/dfas/images/image23.png" alt="" width="276"><br />
|“模型”模块“属性”模块|
|运行|执行分析操作，例如生成网格、动力非线性等|<img src="/uploads/dfas/images/image24.png" alt="" width="366"><br />
|“分析”模块|
|结果|显示分析结果|—|“分析”模块|
属性<br />
属性栏位于软件操作界面左侧，用于查看构件或单元属性，如图34所示。属性栏基于PropertyGrid开发，可分类显示属性内容，并支持属性折叠。<br />
     <br />
<img src="/uploads/dfas/images/image25.png" alt="" width="290"><br />
<img src="/uploads/dfas/images/image26.png" alt="" width="290"><br />
(a) 构件属性    (b) 单元属性<br />
图34 属性<br />
