【移动点】提供对结构点进行移动的操作，移动结构点后，与其相连的构件也会同时改变构型，图435所示，进行“移动点”操作。用户可以选择“局标偏移”和“整标偏移”。如果选择“局标偏移”，用户需要用拖动鼠标指定移动方向，同时在输入框中输入移动距离。如果选择“整标偏移”，则用户需要分别输入沿整体坐标系X、Y、Z轴移动的距离，与坐标轴一致为正。<br />
    <br />
<img src="/uploads/dfas/images/image168.png" alt="" width="722"><br />
图435 移动点操作示意图<br />
注意：2019版本开始，节点可以在平面内移动。也可以将节点沿Z向移动。<br />
【复制点】提供对节点进行复制的操作。选择节点以后，在弹出的对话框中输入相对于该点三个坐标轴方向的距离，与坐标轴方向一致为正，相反为负。如图436所示，将节点向下复制，距离为1米。<br />
    <br />
<img src="/uploads/dfas/images/image169.png" alt="" width="683"><br />
图436 复制结构点操作示意图<br />
【删除冗余点】删除建模过程中形成的一些无用节点。<br />
【多点移动】提供对多个节点进行批量移动的操作。用户需要分别输入沿整体坐标系X、Y、Z轴移动的距离，与坐标轴一致为正，如图437所示。<br />
    <br />
<img src="/uploads/dfas/images/image170.png" alt="" width="280"><br />
图437 多点移动操作示意图<br />
【移动结构线】提供对结构线进行移动的操作，可指定沿X、Y轴移动的距离，如图438所示。移动结构线后，与其相连的构件也会同时改变构型。<br />
    <br />
<img src="/uploads/dfas/images/image171.png" alt="" width="300"><br />
图438 移动结构线操作示意图<br />
【延伸结构线】在线构件捕捉打开的情况下，应用延伸结构线功能，可将线构件延伸至其延长线与构件相交的位置，如图439所示。<br />
     <br />
<img src="/uploads/dfas/images/image172.png" alt="" width="284"><br />
<img src="/uploads/dfas/images/image173.png" alt="" width="258"><br />
<img src="/uploads/dfas/images/image174.png" alt="" width="255"><br />
图439 延伸线段操作示意图<br />
【结构线合并】当构件上有结构点，将构件分为两个构件时，可应用该功能将结构点删去，使构件合并，具体操作如图440所示。<br />
      <br />
<img src="/uploads/dfas/images/image175.png" alt="" width="325"><br />
<img src="/uploads/dfas/images/image176.png" alt="" width="800"><br />
<img src="/uploads/dfas/images/image177.png" alt="" width="315"><br />
图440 线段合并操作示意图<br />
注意：进行结构线合并时，需要选择的不是结构线，而是所要合并结构线的连接节点。<br />
【断开结构线】在结构线、构件上设置结点，使结构线、构件分割为多段。<br />
【相交断开】该功能主要用于对模型中的相交构件自动在交点处进行单元打断，如图441所示。<br />
      <br />
<img src="/uploads/dfas/images/image178.png" alt="" width="208"><br />
<img src="/uploads/dfas/images/image179.png" alt="" width="220"><br />
<img src="/uploads/dfas/images/image180.png" alt="" width="200"><br />
图441 相交断开操作示意图<br />
【面构件合并】可将板构件之间的结构线删除，将两块相邻的板合并为一个板构件。对板上有梁的情况，不允许删除，如图442所示。<br />
      <br />
<img src="/uploads/dfas/images/image181.png" alt="" width="327"><br />
<img src="/uploads/dfas/images/image182.png" alt="" width="308"><br />
图442 面构件合并操作示意图<br />
【复制楼层】复制当前楼层全部数据到其它楼层，原有楼层数据将被清除，操作界面如图443所示。<br />
    <br />
<img src="/uploads/dfas/images/image183.png" alt="" width="319"><br />
图443 复制楼层对话框<br />
【跨层点】功能用于将节点设置为“跨层点”或者取消“跨层点”，如图444所示。依次点击【建模编辑】→【编辑】→【跨层点】，然后拾取需要修改的节点，选择“设为跨层点”或“取消跨层点”即可完成设置和取消操作。<br />
    <br />
<img src="/uploads/dfas/images/image184.png" alt="" width="211"><br />
图444 跨层点<br />
【点层号】功能用于修改节点所属层号，如图445所示。依次点击【建模编辑】→【编辑】→【点层号】，然后拾取需要修改的节点，输入修改后的楼层号即可完成操作。<br />
    <br />
<img src="/uploads/dfas/images/image185.png" alt="" width="211"><br />
图445 点层号<br />
【构件层号】功能用于修改构件所属层号，如图446所示。依次点击【建模编辑】→【编辑】→【构件层号】，然后拾取需要修改的构件，输入修改后的楼层号即可完成操作。<br />
    <br />
<img src="/uploads/dfas/images/image186.png" alt="" width="211"><br />
图446 构件层号<br />
