该菜单可对所选择构件的属性进行批处理操作，如图4126所示。<br />
    <br />
<img src="/uploads/dfas/images/image300.png" alt="" width="380"><br />
图4126 构件属性菜单列表<br />
各构件的属性操作项目参见表49。<br />
表49 构件属性操作项目表<br />

|项目|设置内容|
|-----|-----|
|梁|截面、配筋率、材料、转角、偏心、初始缺陷、类型、剪切属性、刚度系数；|
|柱|截面、配筋率、材料、转角、偏心、初始缺陷、类型、剪切属性、刚度系数；|
|斜撑|截面、配筋率、材料、转角、偏心、初始缺陷、类型、剪切属性、刚度系数；|
|边缘构件|截面、材料、配筋率；|
|连梁纵筋|截面、材料、偏心；|
|板|截面、配筋、材料、偏心、刚度系数；|
|墙|截面、配筋、材料、偏心、刚度系数；|
|减隔震|截面、转角、类型、等效刚度；|
这里对其中部分项目进行说明。<br />
设置梁、柱、斜撑、连梁纵筋、边缘构件截面对话框中，若要增加截面类型，可以通过“添加截面”项目进入截面库，将增加的截面赋予构件，具体操作可参见“4.4 建模编辑”章节，如图4127所示。<br />
    <br />
<img src="/uploads/dfas/images/image301.png" alt="" width="381"><br />
图4127 线构件截面操作示意图<br />
注意：斜撑截面归入柱截面库中。连梁纵筋、边缘构件的截面均是按照面积等效的方法，应用矩形钢管模拟。<br />
设置柱或斜撑配筋率对话框中分为“宽度方向配筋率”、“高度方向配筋率”，其中“宽度方向”和“高度方向”分别为截面定义时的水平边和竖直边，用户可参考“4.4.5 构件”章节。另外，用户定义完成后也可通过右击构件，选择“截面信息及配筋”来查看配筋信息，如图4128所示。<br />
      <br />
<img src="/uploads/dfas/images/image302.png" alt="" width="289"><br />
<img src="/uploads/dfas/images/image303.png" alt="" width="615"><br />
图4128 配筋操作示意图<br />
说明：<br />
（1）“设置板构件配筋”中的“钢筋方向”项目设置无效。<br />
（2）“设置墙构件材料”项中对材料的选择，会影响到墙体的截面类型，如图4129所示。<br />
    <br />
<img src="/uploads/dfas/images/image304.png" alt="" width="336"><br />
图4129 墙构件材料设置<br />
与材料选择相对应的墙构件类型见表410，设置完成后可通过右键选取墙构件进行截面信息查看。<br />
表410 墙构件类型与材料对应表<br />

|类型|材料设置|
|-----|-----|
|钢筋混凝土|设置“混凝土强度等级”、“钢筋级别”，留空“型材牌号”|
|钢板混凝土|全部设置“混凝土强度等级”、“钢筋级别”、“型材牌号”|
|钢板|选取“型材牌号”，留空“混凝土强度等级”、“钢筋级别”|
如需将钢筋混凝土墙修改为钢板混凝土剪力墙，首先应该通过“建模编辑->墙->新建”定义剪力墙截面，如图4130所示。然后通过属性菜单进行修改即可。<br />
    <br />
<img src="/uploads/dfas/images/image305.png" alt="" width="428"><br />
图4130 定义钢板剪力墙截面<br />
