【缺陷代表值】用于按照截面及规范相关规定定义构件初始缺陷代表值，如图4139所示。<br />
 <br />
<img src="/uploads/dfas/images/image315.png" alt="" width="740"><br />
图4139 构件缺陷定义<br />
程序自动按照规范规定，识别截面在局部坐标系y轴和z轴的分类，用户可以在此基础上进行修改。程序默认将截面识别为轧制截面，如果为焊接截面，用户可以在对话框中进行修改。定义好参数以后，点击“保存并更新到构件”按钮，程序将保存定义构件缺陷参数并将其更新到利用该截面的所有构件。点击“保存不更新到构件”按钮，则仅保存定义参数，该参数在新建构件时起作用。<br />
单选或多选截面坐标轴，然后点击【自动识别】，软件可自动生成构件的截面分类，截面与截面分类对应关系参照《钢结构设计标准》GB50017-2017表7.2.1-1和表7.2.1-2。<br />
【构件缺陷】用于定义构件初始缺陷形态，如图4140所示。<br />
<br />
<img src="/uploads/dfas/images/image316.png" alt="" width="604"><br />
图4140 构件初始缺陷<br />
构件初始缺陷支持梁、柱和支撑构件的初始缺陷方向定义，初始缺陷方向按照构件局部坐标系定义，为2轴绕1轴旋转的角度，如图4141所示，用户可任意输入角度值，同时软件提供了常用角度：0°[+2]、45°[+2+3]、90°[+3]、135°[-2+3]、180°[-2]、225°[-2-2]、270°[-3]、315°[+2-3]。<br />
<br />
<img src="/uploads/dfas/images/image317.png" alt="" width="350"><br />
图4141 构件初始缺陷方向<br />
点击【自动生成】，软件自动生成四个默认构件初始缺陷形态：0°方向构件初始缺陷、90°方向构件初始缺陷、180°方向构件初始缺陷和270°方向构件初始缺陷，其中竖向构件的初始缺陷方向分别为0°、90°、180°和270°，水平构件初始缺陷方向均为270°（竖直向下），各构件初始缺陷形态如图4142所示。<br />
         <br />
<img src="/uploads/dfas/images/image318.png" alt="" width="404"><br />
<img src="/uploads/dfas/images/image319.png" alt="" width="394"><br />
    (a) MbrDefect_0                    (b) MbrDefect_180<br />
图4142 构件初始缺陷形态<br />
选择构件初始缺陷形态，点击【修改缺陷方向】可对所选择构件初始缺陷形态下构件初始缺陷方向进行修改；点击【修改缺陷代表值】，弹出“构件缺陷代表值定义”对话框，基于截面对构件缺陷代表值进行修改。<br />
用户可以在图形中点选构件，在构件属性栏中直接对单根构件的初始缺陷代表值和初始缺陷方向进行修改，也可以通过【属性修改】菜单进行批量修改。<br />
构件缺陷形状按照《钢结构设计标准》GB50017-2017第5.2.2条规定，按照下式进行定义，如图4143所示：<br />
    <br />
式中：δ0——距离构件端部x处的初始变形值；<br />
e0——构件中点处的初始变形值，可根据截面分类，按表12取用；<br />
x——离构件端部的距离。<br />
     <br />
<img src="/uploads/dfas/images/image320.jpeg" alt="" width="284"><br />
图4143 构件初始缺陷<br />

|说明：当构件截面分类与构件属性中初始缺陷代表值不一致时，计算以构件属性值为准。|
|-----|
【结构缺陷】用于定义结构整体初始缺陷，如图4144所示。<br />
     <br />
<img src="/uploads/dfas/images/image321.png" alt="" width="601"><br />
图4144 整体缺陷<br />
点击【自动生成】，软件自动按照[假想水平位移]方式生成四个正交方向结构初始缺陷：0°方向结构初始缺陷、90°方向结构初始缺陷、180°方向结构初始缺陷和270°方向结构初始缺陷，其中结构水平位移分别为0°、90°、180°和270°，各结构初始缺陷形态如图4145所示。<br />
             <br />
<img src="/uploads/dfas/images/image322.png" alt="" width="416"><br />
<img src="/uploads/dfas/images/image323.png" alt="" width="404"><br />
    (a) FrmDefect_0                (b) FrmDefect_180<br />
图4145 结构初始缺陷形态<br />
**缺陷分布**<br />
软件提供了三种整体缺陷分布方式：[假想水平位移]、[重力加载变形]和[屈曲模态]，反映了整体缺陷的分布方式，软件采用直接移动分析模型节点坐标的方式施加初始缺陷。<br />
[假想位移]：依据《钢结构设计标准》GB50017-2017第5.2.1节，在结构上定义初始水平变形，如图4146所示，用户可输入[整体缺陷角度]实现不同方向的初始缺陷。<br />
    <br />
式中：<br />
——i号节点水平假想位移；<br />
——i号节点标高；<br />
——结构总高度；<br />
——初始缺陷代表值；<br />
——结构总层数，<br />
当时，此根号值取为；当时，此根号值取为1。<br />
     <br />
<img src="/uploads/dfas/images/image324.png" alt="" width="281"><br />
图4146 水平假想位移<br />
[重力加载变形]：按照重力加载变形形状施加初始缺陷，同时各节点缺陷值按照初始缺陷代表值的最大值等比例调幅，如下式所示。<br />
    <br />
式中：<br />
——i号节点假想位移；<br />
——i号节点位移；<br />
——初始缺陷代表值；<br />
——节点最大位移。<br />
 [屈曲模态]：按照现行屈曲分析得到的屈曲模态形状施加初始缺陷，同时各节点缺陷值按照初始缺陷代表值的最大值等比例调幅，可选择不同阶的屈曲模态进行定义。<br />

|说明：对于楼层概念清晰的结构一般按照水平假想位移定义结构初始缺陷；对于空间网格结构一般按照第一阶整体屈曲模态定义结构初始缺陷。|
|-----|
**缺陷代表值**<br />
[整体缺陷代表值的最大值]：用于定义初始缺陷代表值的大小，反映了整体缺陷的大小。点击【计算初始缺陷最大值】进入“初始缺陷最大值计算”对话框，可根据初始缺陷代表值和结构高度或结构跨度进行结构初始缺陷最大值计算，也可通过点击【根据《钢结构设计标准》取默认值】或【根据《控件网格技术规程》取默认值】快速得到初始缺陷最大值，如图4147所示。<br />
     <br />
<img src="/uploads/dfas/images/image325.png" alt="" width="255"><br />
图4147 初始缺陷最大值计算<br />

|说明：依据《钢结构设计标准》GB50017-2017第5.2.1节，软件默认按照结构高度1/250确定，结构高度由楼层最大标高差确定；对与空间结构，根据《空间网格结构技术规程》JGJ7-2010第4.3.4条，初始缺陷最大值一般取网壳跨度的1/300。|
|-----|
【缺陷标注】用于在图形中标注构件初始缺陷方向和缺陷代表值，如图4148所示。<br />
     <br />
<img src="/uploads/dfas/images/image326.png" alt="" width="447"><br />
图4148 构件初始缺陷标注<br />
同时，在“构件缺陷标注”对话框中设置构件初始缺陷名称和标注信息，如[初始缺陷代表值]、[初始缺陷方向]等，如图4149所示。<br />
    <br />
<img src="/uploads/dfas/images/image327.png" alt="" width="305"><br />
图4149 构件初始缺陷标注对话框<br />

|说明：初始缺陷定义完成后，可通过【缺陷显示】功能查看初始缺陷变形云图；也可通过【缺陷编辑】功能对初始缺陷进行修改。|
|-----|
