鼠标右击梁、柱、斜撑构件后，出现图4157所示菜单，可对梁、柱、斜撑构件进行单独操作，也可对构件组进行批处理操作，其中括号中的内容为快捷键。<br />
      <br />
<img src="/uploads/dfas/images/image338.png" alt="" width="197"><br />
<img src="/uploads/dfas/images/image339.png" alt="" width="178"><br />
图4157 梁、柱、斜撑右键功能列表图<br />
表413 梁、柱、斜撑构件操作信息表<br />

|项目|功能|
|-----|-----|
|设为主梁/次梁|将该梁设置成为主梁或者次梁，主、次梁介绍可参见“3.5编辑” |
|线构件拆分成两段/三段|将构件拆分为两段、三段|
|线构件按长度拆分|设置线段“最多分段数”、“最小长度”进行拆分|
|梁变墙|可将梁构件变成墙构件|
|显示断面图|以构件纵向建立断面图|
|删除|删除构件|
|截面信息及配筋|显示梁、柱截面计算参数、配筋、塑性分析纤维束划分等信息|
|属性|列表显示该构件的信息，并可对部分参数进行修改|
菜单中部分功能介绍见表413。<br />
将构件拆分成两段、三段、多段的功能效果如图4158所示。<br />
      <br />
<img src="/uploads/dfas/images/image340.png" alt="" width="382"><br />
<img src="/uploads/dfas/images/image341.png" alt="" width="386"><br />
<img src="/uploads/dfas/images/image342.png" alt="" width="473"><br />
图4158 将梁拆分成两段、三段及按长度拆分<br />
梁变墙的功能效果如图4159所示，通过指定新墙构件的厚度与高度，可在梁位置生成新墙。<br />
      <br />
<img src="/uploads/dfas/images/image343.png" alt="" width="408"><br />
<img src="/uploads/dfas/images/image344.png" alt="" width="392"><br />
图4159 梁构件变成墙构件<br />
梁转换为墙构件后，墙上、下表面会自动生成连梁纵筋，其截面积取值说明如下：<br />
- 若梁为混凝土梁，转换为连梁墙后，上部纵筋面积，取自梁的顶部钢筋面积；下部纵筋面积，取梁的底部钢筋面积。<br />
- 梁为工字型钢骨混凝土梁，转换为连梁墙后，上部纵筋面积，取自梁的上部钢筋面积加上工字钢的上翼缘面积；下部纵筋面积，取自梁的下部纵筋面积加上工字钢的下翼缘面积；连梁墙钢板厚度取为工字钢的腹板厚度。<br />
- 若梁为方钢管混凝土梁，转换为连梁墙后，连梁的上部纵筋面积，取梁的上部钢筋面积加上方钢管的上翼缘面积；连梁的下部纵筋面积，取梁的下部钢筋面积加上方钢管的下翼缘面积；连梁墙的钢板厚度取为方钢管的两块腹板厚度之合。<br />
- 工字型钢梁与方钢管梁，不得转为连梁墙构件。<br />
“显示断面图”操作，软件自动沿梁构件的纵向建立结构模型的断面图，并自动生成新的视口显示。显示效果如图4160所示。<br />
      <br />
<img src="/uploads/dfas/images/image345.png" alt="" width="354"><br />
<img src="/uploads/dfas/images/image346.png" alt="" width="233"><br />
图4160 以选中梁的纵向显示结构断面图<br />
“截面信息及配筋”可显示梁的横截面积、截面几何性质等信息，对话框左侧图示中形象地显示了网格、钢筋及纤维划分，右侧列表显示了截面几何信息，如图4161所示。<br />
    <br />
<img src="/uploads/dfas/images/image347.png" alt="" width="615"><br />
<img src="/uploads/dfas/images/image348.png" alt="" width="615"><br />
图4161 梁、柱截面与配筋对话框<br />
      <br />
<img src="/uploads/dfas/images/image349.png" alt="" width="290"><br />
<img src="/uploads/dfas/images/image350.png" alt="" width="290"><br />
<img src="/uploads/dfas/images/image351.png" alt="" width="290"><br />
图4162 梁、柱、斜撑属性列表图<br />

|表414 梁、柱、斜撑属性操作内容表|
|-----|
|项目|介绍|
|截面名称|梁、柱构件的截面名称，若“截面库”中有其他截面类型，可在此处对构件截面进行替换|
|混凝土强度等级、钢筋级别、钢材型号|显示构件材料，并可进行修改或替换，材料的初始值在“建模”→“定义楼层”→“设置楼层参数”中设置|
|面筋/底筋配筋率|梁顶面、底面单侧配筋率，该项目初始值在“建模”→“全局参数”→“项目总信息”中设置|
|截面B/H向配筋率|柱宽度和高度方向的单侧配筋率，该项目初始值在“建模”→“全局参数”→“项目总信息”中设置|
|恒/活荷载|梁、柱上的均布线荷载，均以向下为正方向|
|方向角|绕构件局部坐标轴x轴旋转的角度，可参见“1.4局部坐标系”|
|y/z方向偏心距|沿构件局部坐标系y、z轴的偏心距离，可参见“1.4局部坐标系”|
|y/z方向构件缺陷|沿构件局部坐标系y、z轴的构件缺陷，可参见“1.4局部坐标系”|
|剪切性能|调整构件剪切铰弹性/弹塑性属性|
|刚度调整系数|对梁柱撑的6项刚度系数调整|
|子类型|调整梁构件的主/次梁属性，具体内容可参见“4.5 属性修改”|
如图4162所示，选择“属性”项，可显示梁、柱和斜撑构件的材料、截面、配筋率、荷载、主/次梁类型等信息。其中白色背景项目均为可修改项，用户可在此进行快速修改。各操作栏信息见表414。<br />
