【施工阶段】可对模型进行“施工阶段”的设置，以模拟施工时序对结构内力的影响。软件默认计算方法为一次性整体计算。设置“施工阶段”后程序根据施工阶段的定义，进行竖向荷载作用下结构小变形弹性静力分析，从而得到结构的初始内力。<br />
结构施工阶段可模拟多高层结构刚度与荷载逐层形成的过程。例如框架剪力墙结构，由于不同构件单位面积竖向恒载差别较大，如果进行一次性加载分析，框架梁会协调墙与柱构件之间的竖向变形差，柱位移减小，墙位移增大。逐层累加至上部楼层后计算结果与真实受力之间的差异也会随之加大。对于转换结构、越层结构、悬吊结构等建筑形式，设置施工阶段时，需要根据结构的刚度形成过程，正确设置施工阶段。<br />
设置不同的施工阶段，软件会根据楼层施工阶段形成不同的刚度矩阵，分阶段进行加载，计算竖向荷载静力响应，计算过程如图67所示。当结构构件竖向刚度或荷载差异较大时，设置施工阶段可较真实地计算构件内力与变形。<br />
    <br />
图67 设置施工阶段结构变形示意图<br />
进入“设置施工阶段”操作界面，如图68所示。程序默认为一次性加载模式。选择“设置施工阶段数”后，即可在“楼层阶段对照表”子窗口中进行施工阶段的设置。“构件组”提供对局部构件组的施工阶段设置，在【分析】→【构件组】中进行构件组的定义，定义后的构件组会出现在图68所示“构件组”列表内，用户可以进行构件组的施工阶段设置。<br />
如图68所示，通过“均分”功能将结构的施工阶段分为10个。<br />
    <br />
    <br />
<img src="/uploads/dfas/images/image392.png" alt="" width="373"><br />
<img src="/uploads/dfas/images/image393.png" alt="" width="495"><br />
图68 设置施工阶段操作界面<br />
