【PMM曲线】用于绘制构件或构件组的PMM曲线。PMM曲线按照整体坐标系绘制，分别按照材料设计值、标准值和极限值绘制PMx曲线、PMy曲线和MM曲线，其中MM曲线可通过调整轴力大小显示不同轴力作用下的MM曲线。材料计算参数参考《混凝土结构设计规范》。<br />
如图835所示对话框中，用户可以用鼠标拾取要验算的构件或直接输入构件编号，选择需要验算的工况，也可直接输入构件编号，通过逗号“,”断开。在“分析工况”中选择分析工况可同时显示构件内力结果。软件支持[构件组]和[批量生成]两种PMM曲线生成模式。内力输出方式中“时程”和“包络”分别表示提取所选工况下各时刻的结果或包络结果（轴力最大/最小、剪力最大/最小、弯矩最大/最小时刻的构件内力）进行验算。点击【确定】生成PMM曲线。<br />
    <br />
<img src="/uploads/dfas/images/image487.png" alt="" width="380"><br />
图835 PMM曲线对话框<br />
勾选【构件组】选项，以【构件组】模式生成PMM曲线，便于验算T型墙、L型墙、型钢混凝土剪力墙等构件的性能状态，如图836所示。不勾选【构件组】选项，可批量生成所选构件的单构件PMM曲线，如图837 所示。<br />
    <br />
<img src="/uploads/dfas/images/image488.png" alt="" width="800"><br />
图836 组合构件PMM曲线<br />
    <br />
<img src="/uploads/dfas/images/image489.png" alt="" width="800"><br />
图837 批量构件PMM曲线<br />
点击【性能计算】可对构件内力与PMM曲线的几何关系进行验算，若内力点在设计值范围内，则标注为“弹性”；若内力点大于设计值小于标准值，则标注为“不屈服”；若内力点大于标准值小于极限值，则标注为“极限”；若内力点大于极限值，则标注为“超限”。如表 81说明：<br />
表 81性能计算说明<br />

|性能状态|标注|说明|
|-----|-----|-----|
|未计算|●（黑色）|未进行性能计算|
|弹性|●（蓝色）|内力小于承载力设计值|
|不屈服|●（绿色）|内力大于承载力设计值，小于承载力标准值|
|极限|●（黄色）|内力大于承载力标准值，小于承载力极限值|
|超限|●（黑色）|内力超过承载力极限值|
点击【PMM数据】进入“PMM数据”对话框，勾选左侧树状菜单可显示PMM数据列表，该列表支持数据的复制和粘贴等功能，如图838所示。<br />
    <br />
<img src="/uploads/dfas/images/image490.png" alt="" width="800"><br />
图838 PMM数据<br />
点击【内力数据】进入“内力数据对话框”，勾选左侧树状菜单可显示各工况下的内力数据，若已经进行【性能验算】，表格中可同时显示性能验算结果，如图839所示。点击【3D】可显示三维PMM曲线，如图840所示。<br />
    <br />
<img src="/uploads/dfas/images/image491.png" alt="" width="800"><br />
图839 内力数据<br />
    <br />
<img src="/uploads/dfas/images/image492.png" alt="" width="642"><br />
图840 三维PMM曲线<br />
点击【加强措施】按钮，用户可直接修改截面纤维划分情况，可分别修改纤维坐标、纤维面积和材料等级等，也可在【截面信息】栏中直接修改截面配筋率、含钢率或在【材料强度等级】栏中修改材料强度等级进行，修改过程可视化查看。截面修改后，点击【确定】按钮，软件将以修改后的截面信息重新进行PMM曲线计算并验算构件性能，如图841  所示。<br />
    <br />
<img src="/uploads/dfas/images/image493.png" alt="" width="800"><br />
图841  截面加强<br />
点击【生成报告】，一键输出构件PMM验算报告，如图842所示。<br />
    <br />
<img src="/uploads/dfas/images/image494.png" alt="" width="800"><br />
图842 构件PMM验算表格<br />
内力结果<br />
