【数据文件】将初始分析、动力分析和静力分析结果输出到对话框中，以列表显示，单击该菜单后弹出对话框如图102所示。<br />
    <br />
<img src="/uploads/dfas/images/image512.png" alt="" width="800"><br />
图102 计算结果数据显示<br />
对话框中包含“单步数据”、“时程数据”、“最大值”和“最小值”四种结果。对话框中“时间步序号”用于切换时程分析的时间点，仅用于“单步数据”结果显示。由于每页只默认显示40行数据，因而需要通过“数据页码”选项区切换页码。“结点时程”和“单元时程”选项用于选择要显示时程结果的节点编号和单元编号，仅用于“时程数据”结果显示。<br />
表 101是各个结果对应数据列表：<br />
表 101 计算结果输出项目列表<br />

|显示项目|单步数据|时程数据|
|-----|-----|-----|
|竖向加载位移|显示荷载作用下结点位移|无|
|模态振型|各结点在相应模态下的位移值|每个结点在不同模态下的位移值。|
|线性屈曲模态|各结点在相应模态下的位移值|每个结点在不同模态下的位移值。|
|动力分析结点位移|各结点在单时间步下的位移|某个结点在整个时程下的位移值|
|动力分析结点速度|各结点在单时间步下的速度|某个结点在整个时程下的速度值|
|动力分析结点加速度|各结点在单时间步下的加速度|某个结点在整个时程下的加速度值|
|动力分析节点能量|各结点在单时间步下的能量|某个结点在整个时程下的能量值|
|动力分析单元内力*|显示设置“构件组”的单元内力|“构件组”单元在整个时程下的内力值|
|动力分析单元应力应变*|显示设置“构件组”的单元应力应变|“构件组”单元在整个时程下的应力应变值|
|动力分析单元变形*|显示设置“构件组”的单元变形|“构件组”单元在整个时程下的变形值|
|动力分析单元损伤|对应“动力分析云图”→“单元损伤”项目中的梁、柱、板、墙单元的损伤输出|整个时程下梁、柱、板、墙单元的损伤值|
|动力分析钢筋的塑性应变|显示钢筋在单时间步下的塑性应变值|某个钢筋单元在整个时程中的塑性应变值|
|动力分析钢材的塑性应变|显示钢材在单时间步下的塑性应变值|某个钢材单元在整个时程中的塑性应变值|
|动力分析层间位移角|单时间步下的结构层间位移角、位移|某层在整个时程中的层间位移角、位移值|
|动力分析层间剪力|单时间步下的结构层间剪力|某层在整个时程中的层间剪力|
|动力分析楼层能量|单时间步下的结构楼层能量|某层在整个时程中的楼层能量|
|动力分析构件内力|单时间步下构件内力|单个构件在每一个时刻的内力|
说明：标注*项仅对构件输出分组有效。<br />
“导出到Excel”：当输出结果大于10000行时，单击此按钮，程序会弹出图103对话框，用户可根据需要输入相应的行数。<br />
    <br />
<img src="/uploads/dfas/images/image513.png" alt="" width="417"><br />
图103 导出到Excel对话框<br />
注意：如果导出的行数过多，程序会有一定延迟。<br />
