钢筋参数与构件截面和具体构件位置有关。钢筋混凝土（RC）和钢骨混凝土（SRC）需要配筋，钢管混凝土（CFT）内部不用配筋。<br />
保护层厚度：梁、柱、板(墙)保护层厚度各不相同，由系统参数统一设定，钢筋位于保护层内。<br />
**1） 梁**<br />
梁的配筋率：分为面筋配筋率ρ1、底筋配筋率ρ2，这两个参数在不同子截面中有不同意义。暂不考虑箍筋。<br />
梁配筋方案：简化为8根钢筋，钢筋截面的外边缘贴靠保护层内侧。<br />
对于矩形子截面，面筋和底筋各3根，采用相同直径，两根Φ14钢筋作为腰筋，如图133所示。<br />
    <br />
<img src="/uploads/dfas/images/image145.png" alt="" width="208"><br />
图133 梁配筋方案<br />
表1310 梁截面钢筋布置方案<br />

|混凝土子截面形状|钢筋位置及面积|
|-----|-----|
|实心矩形|面筋：3*ρ1Ac/3腰筋：2*Φ14底筋：3*ρ2Ac/3|
|矩形管||
|实心圆|沿圆周均布：8*ρ1Ac/8|
|圆管||
|十字形|水平分支：4*(ρ1+ρ2)Ah/4竖向分支：4*(ρ1+ρ2)Av/4|
|工字形|等效为矩形截面近似处理，其中B，H为子截面的外包矩形。|
|十字工形||
|一字线形||
|正多边形||
|槽形||
|双槽形||
|梯形||
|L形||
|T形||
|表中：Ac—混凝土面积；面筋与底筋配筋率； 水平分支和竖向分支混凝土面积。|
**2) 柱、斜撑**<br />
柱的配筋率：矩形截面混凝土分为B方向配筋率ρB，H方向配筋率ρH，都是单边配筋率；圆形截面混凝土只用第一个配筋率；不支持其它形式的截面。暂不考虑箍筋。<br />
柱的配筋方案：简化为8根钢筋，钢筋截面的外边缘贴靠保护层内侧。<br />
对于矩形截面：<br />
- 长边钢筋个数n=max(B，H)/200+1，并且取n>=2<br />
- 角筋面积a=B×H×长边配筋率/n<br />
- 长边中间钢筋面积b=max(B×H×长边配筋率-2×a，0)<br />
- 短边中间钢筋面积c=max(B×H×短边配筋率-2×a，0)<br />
- 钢筋总面积As=2*B*H*(长边配筋率+短边配筋率)-4*a<br />
其他截面见表1311。<br />
表1311 柱和斜撑截面钢筋布置方案<br />

|混凝土子截面形状|钢筋位置及面积|
|-----|-----|
|实心矩形|角筋：4*a长边中间钢筋：2*b短边中间钢筋：2*c|
|矩形管||
|实心圆|沿圆周均布：8*ρBAc/8Ac—混凝土面积|
|圆管||
|工字形|等效为矩形截面近似处理，其中B，H为子截面的外包矩形。|
|十字形||
|十字工形||
|正多边形||
|槽形||
|双槽形||
|梯形||
|L形||
|T形||
**3) 板**<br />
配筋率参数为面筋配筋率和底筋配筋率，都是单方向配筋率。钢筋网的两个方向配筋率相同。不论钢筋网分几层布置，有限元计算时均等效为1层钢筋网，2个方向，对应2个钢筋层。<br />
**4) 墙**<br />
每面墙的钢筋网分层数可以在软件界面由用户交互设定，每层钢筋网包括水平和垂直两个方向的钢筋层。<br />
