对于混凝土、钢、钢混截面的一维构件（梁、柱、斜撑）程序通过“剪切铰”考虑构件的剪切非线性。在构件属性里交互指定剪切铰弹塑性，同时在高级参数中勾选剪切铰弹塑性后就可以考虑单构件的剪切非线性，如图1317所示。<br />
对于墙、板二维构件不能交互指定构件剪切非线性，即不考虑剪切非线性。<br />
    <br />
<img src="/uploads/dfas/images/image904.png" alt="" width="800"><br />
图1317 剪切较定义<br />
一维构件剪切非线性计算时混凝土和钢材是分别考虑的：混凝土剪切骨架线参考清华大学论文[8]（详细信息见下文说明），滞回规则采用Clough滞回规则；钢材剪切本构采用双线型随动强化本构，初始刚度为G*剪切面积，剪切屈服力是剪切强度*剪切面积，剪切强度为拉伸强度/1.732，屈服后刚度比取钢材拉伸屈服后刚度比k。软件分别输出混凝土和钢材的剪切屈服程度，即剪切应变/屈服应变，混凝土剪切屈服应变取剪切峰值承载力对应的应变，钢材剪切屈服应变取剪切强度/G。分析结束以后，混凝土构件的剪切性能可以通过菜单：【动力结果】→【损伤】，在分量中选择γ/γus,xz或γ/γus,xz进行查看。钢构件的剪切性能可以通过菜单：【动力结果】→【钢材塑性应变】，在分量中选择γ/γy,y或γ/γy,z进行查看。前者为局部坐标系y向剪切应变与屈服应变的比值，后者为局部坐标系z向剪切应变与屈服应变的比值，如果该比值大于1，表明材料剪切已经屈服。若定义了构件组，分组结果里分别输出混凝土、钢材剪切应变和剪力（两种材料剪切应变是相同的），可绘制剪切滞回曲线。<br />
混凝土截面剪切铰属性采用清华大学丁然[8]提出的截面剪力-剪应变骨架曲线。根据RC连梁试验得到的剪力-剪切变形曲线特征，骨架曲线应考虑开裂后剪切刚度的明显退化，发生剪切受拉、剪切受压或剪切滑移破坏后承载力的明显下降。同时参考国内外学者提出的多种针对RC连梁、短柱的剪力-剪切变形骨架曲线形式，本文采用三折线作为普通配筋RC连梁的骨架曲线。如图1318 所示，曲线有两个关键特征点：开裂点（,）和峰值点（,）。在开裂点以前，剪切刚度为截面弹性剪切刚度，开裂后截面剪切刚度明显降低，峰值点以后承载力开始下降。各关键点坐标、各段斜率计算公式如下：<br />
       (1)<br />
                      (2)<br />
                  (3)<br />
                         (4)<br />
                    (5)<br />
                  (6)<br />
                     (7)<br />
式中b、d分别为截面宽度、有效高度；a为剪跨段长度，为跨度l的一半；A为截面积；、、s、分别为箍筋面积、屈服强度、间距和配箍率；为混凝土抗拉强度，为混凝土圆柱体抗压强度，；为混凝土立方体抗压强度；G为混凝土剪切模，；为混凝土弹性模量,；为泊松比，；为截面初始剪切刚度；为剪切开裂后截面剪切刚度；为承载力下降段斜率；为开裂后刚度折减系数。<br />
式（1）参考ACI-426规范，式（3）、（6）、（7）均由试验数据分析得到。公式的验证及与其他学者或规范给出公式的对比将另作讨论。<br />
      <br />
<img src="/uploads/dfas/images/image905.png" alt="" width="382"><br />
图1318 截面剪力-剪应变骨架曲线<br />
有限元单元库<br />
目前，SAUSAGE采用梁、杆、壳三种单元形式。其中梁模型包括考虑剪切变形的经典梁修正模型和Timoshenko梁模型，并且可以考虑铰接属性。<br />
