计算单元内力时，需沿单元体积进行积分。不同单元采用不同的积分方案，见下文所述：<br />
对于梁单元，沿单元长度取多个高斯积分点，再在各个高斯积分点处沿截面划分为多个纤维，分两步数值积分而得。<br />
软件所支持的各种截面由1个或多个子截面组合而成，单元内力计算时，分别对各个子截面所产生的内力进行积分，再对钢筋的正应力所产生的内力进行积分，最后对各内力进行简单地叠加，即为单元内力。<br />
子截面只含有6种形状：矩形、圆形、方管、圆管、工字形及十字型。截面纤维划分时，依据子截面的形状，对各个子截面独立划分纤维。各类子截面的纤维划分方案如图1322 ~图1325所示。<br />
<br />
图1322 纤维划分方案示意图1<br />
其中：6×6=36方案适用于矩形柱截面，2×6=12方案适用于矩形梁截面。<br />
<br />
图1323 纤维划分方案示意图2<br />
<br />
图1324 纤维划分方案示意图3<br />
<br />
图1325 纤维划分方案示意图4<br />
对于杆单元，单元内应变均匀分布，无需划分纤维，直接积分而得。<br />
对于墙构件所划分的壳单元，沿单元面积取多个高斯积分点，再在各个高斯积分点处沿厚度划分为6个层，分两步数值积分而得。<br />
对于板构件所划分的壳单元，膜内力是弹塑性的，板内力不考虑弹塑性。<br />
