进行钢结构直接分析设计或者对大跨空间结构进行整体稳定性分析时，需要考虑结构的初始缺陷。结构初始缺陷包括整体缺陷和构件缺陷。<br />
整体缺陷定义方式，可以采用重力加载变形结果或者选择相应的屈曲模态进行定义。程序会根据整体缺陷代表值的最大值，对所选方式的变形进行放大作为结构的整体缺陷。<br />
整体缺陷代表值的最大值，按照《钢结构设计规范》（GB50017-2017）第5.2.1项规定，默认取为结构高度的1/250。如果结构为网壳结构，可以按照《空间网格结构技术规程》（JGJ 7-2010）第4.3.3项规定，取为网壳跨度的1/300。<br />
构件缺陷定义按照《钢结构设计规范》（GB50017-2017）第5章规定，按照下式进行计算。<br />
<br />
式中，<br />
：距离构件端部x处的初始变形值；<br />
：构件中点处的初始变形值，可根据截面分类，按下表取用；<br />
x: 离构件端部的距离；<br />
l：构件长度。<br />
<br />
<img src="/uploads/dfas/images/image1320.png" alt="" width="800"><br />
图1327 构件缺陷最大值<br />
表1317 构件缺陷最大值<br />

|截面分类||
|-----|-----|
|a类|1/400|
|b类|1/350|
|c类|1/300|
|d类|1/250|
