程序支持结构顺风向、横风向以及扭转风荷载的计算。<br />
顺风向、横风向以及扭转风振等效风荷载单位高度风力标准值FDk、FLk以及扭矩TTk分别按照下式进行计算：<br />
    <br />
    <br />
    <br />
式中，FDk—顺风向单位高度风力标准值（kN/m）<br />
FLk—横风向单位高度风力标准值（kN/m）<br />
TTk—风致扭矩单位高度标准值（kN﹒m/m）<br />
迎风面、背风面风荷载标准值（kN/m2）<br />
横风向风振、扭转风振等效风荷载标准值（kN/m2）<br />
B迎风面宽度（m）<br />
迎风面和背风面的风荷载标准值按照如下公式进行计算：<br />
    <br />
式中，—风荷载标准值（kN/m2）<br />
—高度z处的风振系数；<br />
—风荷载体型系数；<br />
风压高度变化系数；<br />
基本风压（kN/m2）；<br />
矩形截面横风向风振等效风荷载标准值可按照下式进行计算：<br />
    <br />
式中，—峰值因子；<br />
—横风向风力系数；<br />
—横风向共振因子；<br />
风压高度变化系数；<br />
矩形截面扭转向风振等效风荷载标准值可按照下式进行计算：<br />
    <br />
式中，—峰值因子；<br />
—风致扭矩系数；<br />
—扭转共振因子；<br />
结构顶部风压高度变化系数；<br />
程序按照《建筑结构荷载规范》要求，根据用户勾选的是否考虑横风向和扭转风振影响，自动生成风荷载工况组合系数，用户也可以根据需求对组合系数进行修改。<br />
表1318 风荷载组合工况<br />

|工况|组合系数|
|-----|-----|
||顺风向等效风荷载|横风向等效风荷载|扭转等效风荷载|
|1|1.0|0|0|
|2|0.6|1.0|0|
|3|-0.6|1.0|0|
|4|0|0|1.0|
